
screen language():

    tag menu

    use game_menu(_("Language"), scroll="viewport"):

        frame:
            background Solid("#3365")
            style_group "langset"
            vbox:
                spacing 10
                label _("Text Settings")
                hbox:
                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}English{/size}{/font}" action Language(None)
                    null width 2
                    textbutton "{font=tl/dys/OpenDyslexic-Regular.otf}{size=28}English (Dyslexic){/size}{/font}" action Language("dys")
                label _("Language")
                grid 3 5:
                    spacing 2
                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Español{/size}{/font}" action Language("es")
                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Français{/size}{/font}" action Language("fr")
                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Deutsch{/size}{/font}" action Language("german")

                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Português{/size}{/font}" action Language("ptpt")
                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Italiano{/size}{/font}" action Language("italian")
                    textbutton "{font=tl/rus/ComicJensFreePro-Regular.ttf}{size=34}Русский{/size}{/font}" action Language("rus") top_padding 10

                    textbutton "{font=tl/kor/dovemayo_bold.otf}{size=36}한국어{/size}{/font}" action Language("kor")
                    textbutton "{font=tl/chs/DroidSansFallbackFull.ttf}{size=36}简体中文{/size}{/font}" action Language("chs")
                    textbutton "{font=tl/chs/DroidSansFallbackFull.ttf}{size=36}繁體中文{/size}{/font}" action Language("cht")

                    textbutton "{font=tl/jp/azuki.ttf}{size=32}日本語{/size}{/font}" action Language("jp")
                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Tiếng Việt{/size}{/font}" action Language("vn")
                    textbutton "{font=tl/th/Cloud-Bold.otf}{size=36}ภาษาไทย{/size}{/font}" action Language("th")

                    textbutton "{font=tl/None/Mitr-Regular.ttf}{size=32}Polski{/size}{/font}" action Language("pl")
                    null
                    null

    textbutton _("Options") action ShowMenu("preferences") xalign .95 yalign .05

define langlist = [None, "es", "fr", "german", "ptpt", "italian", "kor", "chs", "cht", "jp", "vn", "th", "rus", "pl"]

screen langset():
    modal True
    add "black"

    default lang = 0

    frame:
        xalign .5
        yalign .3
        style_group "langset"
        has vbox
        label _("Language")
        null height 10
        grid 3 5:
            spacing 30
            #style_prefix "radio"
            textbutton "{font=tl/None/Mitr-Regular.ttf}English{/font}" action SetScreenVariable("lang", 0)
            #textbutton "{font=tl/dys/OpenDyslexic-Regular.otf}{size=22}English (Dyslexic){/size}{/font}" action [Language("dys"), Return()]
            textbutton "{font=tl/None/Mitr-Regular.ttf}Español{/font}" action SetScreenVariable("lang", 1)
            textbutton "{font=tl/None/Mitr-Regular.ttf}Français{/font}" action SetScreenVariable("lang", 2)

            textbutton "{font=tl/None/Mitr-Regular.ttf}Deutsch{/font}" action SetScreenVariable("lang", 3)
            textbutton "{font=tl/None/Mitr-Regular.ttf}Português{/font}" action SetScreenVariable("lang", 4)
            textbutton "{font=tl/None/Mitr-Regular.ttf}Italiano{/font}" action SetScreenVariable("lang", 5)

            textbutton "{font=tl/kor/dovemayo_bold.otf}한국어{/font}" action SetScreenVariable("lang", 6)
            textbutton "{font=tl/chs/DroidSansFallbackFull.ttf}简体中文{/font}" action SetScreenVariable("lang", 7)
            textbutton "{font=tl/chs/DroidSansFallbackFull.ttf}繁體中文{/font}" action SetScreenVariable("lang", 8)

            textbutton "{font=tl/jp/azuki.ttf}{size=32}日本語{/size}{/font}" action SetScreenVariable("lang", 9)
            textbutton "{font=tl/None/Mitr-Regular.ttf}Tiếng Việt{/font}" action SetScreenVariable("lang", 10)
            textbutton "{font=tl/th/Cloud-Bold.otf}ภาษาไทย{/font}" action SetScreenVariable("lang", 11)

            textbutton "{font=tl/rus/ComicJensFreePro-Regular.ttf}Русский{/font}" action SetScreenVariable("lang", 12) top_padding 10
            textbutton "{font=tl/None/Mitr-Regular.ttf}Polski{/font}" action SetScreenVariable("lang", 13)
            null

    textbutton _("OK") align (1.0,.9) action [ Language(langlist[lang]), Return() ] keysym "game_menu" style "language_confirm_button"

style language_confirm_button:
    xsize 400
    padding (40,10,100,6)
    activate_sound "music/fileaction.wav"

style language_confirm_button_text:
    font "tl/None/Mitr-Regular.ttf"
    size 40
    bold True

style langset_button:
    foreground "gui/button/radio_[prefix_]foreground.png"
    idle_background Solid("#3365")
    hover_background Solid("#BBF3")
    activate_sound "music/choice.wav"
    xminimum 260
    yminimum 80#60
    padding (22, 4, 22, 4)
style langset_button_text is radio_button_text
style langset_label_text:
    color "#fff"
