define audio.title = "audio/Delight.mp3"
define audio.candy = "audio/Candy.mp3"
define audio.evils = "audio/Evils Lurk.mp3"
define audio.witchnyan = "audio/The Witchs Nyan.mp3"
define audio.past = "audio/Delicious Past.mp3"
define audio.sorbet = "audio/Mt Sorbet.mp3"

init -2:
    image driftyclouds:
        contains:
            "clouds"
            xpos 0 yalign 0
            linear 30 xpos 1725
            repeat
        contains:
            "clouds"
            xpos -1725 yalign 0
            linear 30 xpos 0
            repeat
    image mmbgani:
        ypos 450
        "ani1"
        pause .3
        "ani2"
        pause .3
        "ani3"
        pause .3
        repeat
    image hint:
        choice:
            Text(_("*This flavor text is... strawberry!"), style="mm_text")
        choice:
            Text(_("*Once upon a time in... where was it? Sorry, must not have been very memorable."), style="mm_text")
        choice:
            Text(_("*Scrapped titles: Atelier Sweets, Densetsu no Syrup, Magical Candy Adventure..."), style="mm_text")
        choice:
            Text(_("*The Ultimate Dessert! I mean Ultra Sweet! I mean--you know what I mean."), style="mm_text")
        choice:
            Text(_("*It's not the same sucker the whole time. It's just her favorite flavor, okay?!"), style="mm_text")
        choice:
            Text(_("*Yuri Jam 2015! Ironically this one contains the least yuri of all my things."), style="mm_text")
        #choice:
        #    Text(_("*Tasting sweet since 2015. Thanks for over 50k downloads!!"), style="mm_text")
        choice(.02):
            Text(_("*This message is rare, but ultimately meaningless."), style="mm_text")
        #choice:
        #    Text(_("*The mobile version everyone's been waiting for! ENJOY!!"), style="mm_text")
    #ending hints
        choice(persistent.gumdropend==None):
            Text(_("*Hint: Be sweet to the sweet and you'll see something sweet."), style="mm_text")
        choice(persistent.butterscotchend==None):
            Text(_("*Hint: As long as you're nice to her she won't put a hex on you."), style="mm_text")
        choice(persistent.pastilleend==None):
            Text(_("*Hint: He appreciates it when you make up for your mistakes."), style="mm_text")
        choice(persistent.toffeeend==None):
            Text(_("*Hint: It's not going to be easy, nya. Do you like witches?"), style="mm_text")
        choice(persistent.syrupend==None):
            Text(_("*A hint? Fuhgeddaboudit!"), style="mm_text")
        choice(persistent.candibalend==None):
            Text(_("*Hint: She's super delicious. Don't hold back."), style="mm_text")
        choice(persistent.badend1==None):
            Text(_("*Hint: You don't need anyone else. You can do it all on your own."), style="mm_text")
        choice(persistent.badend2==None):
            Text(_("*Hint: They're only selling Swedish Fish now."), style="mm_text")
        choice(persistent.frozenend==None):
            Text(_("*Hint: An ending fit for an ice queen."), style="mm_text")
        choice(persistent.worstend==None):
            Text(_("*Hint: Your friends will come to your rescue if you aren't too cold to them."), style="mm_text")
    #ending extras
        choice(persistent.endclear==True):
            Text(_("*Hey, you cleared the game! Have you seen all the endings yet?"), style="mm_text")
        choice(persistent.endclear==True):
            Text(_("*It stops skipping when you see a new line. Just so you know."), style="mm_text")
        choice(persistent.gumdropend==True):
            Text(_("*Gumdrop can never camp outside because I mean think of the ants... what a nightmare."), style="mm_text")
        choice(persistent.pastilleend==True):
            Text(_("*Pastille is far too compassionate. It's okay to be a little more selfish, dude!"), style="mm_text")
        choice(persistent.syrupend==True):
            Text(_("*Syrup's first act as a billionaire is to push legislation banning magic. Praise Alchemy!"), style="mm_text")
        choice(persistent.butterscotchend==True):
            Text(_("*You've seen those posters of her, right? That's Toffee's celebrity crush."), style="mm_text")
        choice(persistent.toffeeend==True):
            Text(_("*A Treat ending? Sorry, you'll have to play Lonely Wolf Treat instead."), style="mm_text")
        choice(persistent.candibalend==True):
            Text(_("*Inspired by a song. Watashi wo tabete~ Zenbu~~"), style="mm_text")

image darken:
    Solid("#000")
    alpha .7
image white:
    Solid("#FFF")
image gum aw = ConditionSwitch(
    "candyslave==True", "images/gums aw.png",
    "True", "images/gum aw.png")
image gum baw = ConditionSwitch(
    "candyslave==True", "images/gums baw.png",
    "True", "images/gum baw.png")
image gum dress = ConditionSwitch(
    "candyslave==True", "images/gums dress.png",
    "True", "images/gum dress.png")
image gum hey2 = ConditionSwitch(
    "candyslave==True", "images/gums hey2.png",
    "True", "images/gum hey2.png")
image gum mad = ConditionSwitch(
    "candyslave==True", "images/gums mad.png",
    "True", "images/gum mad.png")
image gum ooh = ConditionSwitch(
    "candyslave==True", "images/gums ooh.png",
    "True", "images/gum ooh.png")
image gum surprise2 = ConditionSwitch(
    "candyslave==True", "images/gums surprise2.png",
    "True", "images/gum surprise2.png")
image gum worry = ConditionSwitch(
    "candyslave==True", "images/gums worry.png",
    "True", "images/gum worry.png")
image gum yay2 = ConditionSwitch(
    "candyslave==True", "images/gums yay2.png",
    "True", "images/gum yay2.png")
image gum yayyy2 = ConditionSwitch(
    "candyslave==True", "images/gums yayyy2.png",
    "True", "images/gum yayyy2.png")
image gum yes = ConditionSwitch(
    "candyslave==True", "images/gums yes.png",
    "True", "images/gum yes.png")
image gum yes2 = ConditionSwitch(
    "candyslave==True", "images/gums yes2.png",
    "True", "images/gum yes2.png")
image gum frozen = ConditionSwitch(
    "candyslave==True", "images/gums frozen.png",
    "True", "images/gum frozen.png")

image bs pathetic = ConditionSwitch(
    "gentlelady==True", "bs warmpathetic",
    "True", "bs coldpathetic")
image bs grr = ConditionSwitch(
    "gentlelady==True", "bs warmgrr",
    "True", "bs coldgrr")
image bs tch = ConditionSwitch(
    "gentlelady==True", "bs warmtch",
    "True", "bs coldtch")
image bs base = ConditionSwitch(
    "gentlelady==True", "bs warm",
    "True", "bs cold")
image bs eheh = ConditionSwitch(
    "gentlelady==True", "bs warmeheh",
    "True", "bs coldeheh")

image sy hey = ConditionSwitch(
    "gentlelady==True", "sy colderhey",
    "True", "sy coldhey")
image sy sstop = ConditionSwitch(
    "gentlelady==True", "sy colderstop",
    "True", "sy coldstop")
image sy yeah = ConditionSwitch(
    "gentlelady==True", "sy colderyeah",
    "True", "sy coldyeah")

image magic1:
    "flowers1"
    parallel:
        rotate 0
        easein 1.0 rotate 180
    parallel:
        yoffset 0
        easein 1.0 yoffset -20
    parallel:
        xoffset 0
        easein 1.0 xoffset 30
    parallel:
        alpha 1.0
        easein 1.0 alpha 0
image magic2:
    "flowers2"
    parallel:
        rotate 0
        easein 1.0 rotate 180
    parallel:
        xoffset 0
        easein 1.0 xoffset -10
    parallel:
        yoffset 0
        easein 1.0 yoffset -40
    parallel:
        alpha 1.0
        easein 1.0 alpha 0
image magic3:
    "flowers3"
    parallel:
        rotate 0
        easein 1.0 rotate -180
    parallel:
        yoffset 0
        easein 1.0 yoffset -20
    parallel:
        xoffset 0
        easein 1.0 xoffset -30
    parallel:
        alpha 1.0
        easein 1.0 alpha 0
image flowermagic:
    contains:
        "magic1"
        xalign 1.0
        yalign .63
    contains:
        "magic2"
        xalign .99
        yalign .58
    contains:
        "magic3"
        xalign .97
        yalign .63
image glowymagic:
    contains:
        "light1"
        subpixel True
        rotate 0
        linear 2.0 rotate -360
        repeat
    contains:
        "light2"
        subpixel True
        rotate 0
        linear 2.0 rotate 360
        repeat
    contains:
        "light3"
        xoffset 20
        yoffset 30
        alpha .3
        linear 1.0 alpha 1.0
        linear 1.0 alpha .3
        repeat
image flash:
    Solid("#FFF")
    alpha 1.0
    linear .5 alpha 0

#transforms
transform leftb:
    xalign .32
    yalign 1.0
transform leftc:
    xalign .15
    yalign 1.0
transform leftd:
    xalign -.2
    yalign 1.0
transform lefte:
    xalign -.13
    yalign 1.0

transform lcenter:
    xalign .45
    yalign 1.0
transform rcenter:
    xalign .55
    yalign 1.0

transform rightb:
    xalign .7
    yalign 1.0
transform rightc:
    xalign .85
    yalign 1.0
transform rightd:
    xalign 1.2
    yalign 1.0
transform righte:
    xalign 1.34
    yalign 1.0

transform flip:
    xzoom -1.0
transform unflip:
    xzoom 1.0

transform tremble:
    parallel:
        xoffset 0
        linear .1 xoffset -5
        linear .1 xoffset 3
        linear .1 xoffset -7
        linear .1 xoffset 0
        repeat
    parallel:
        yoffset 0
        linear .1 yoffset 5
        linear .1 yoffset 10
        linear .1 yoffset 2
        linear .1 yoffset 7
        linear .1 yoffset 10
        linear .1 yoffset 0
        repeat
transform tremble2:
    parallel:
        xoffset 0
        linear .05 xoffset -4
        linear .05 xoffset 2
        linear .05 xoffset -6
        linear .05 xoffset 0
        repeat
    parallel:
        yoffset 0
        linear .05 yoffset 4
        linear .05 yoffset 9
        linear .05 yoffset 1
        linear .05 yoffset 6
        linear .05 yoffset 9
        linear .05 yoffset 0
        repeat
transform reset:
    xoffset 0
    yoffset 0
transform disappear:
    alpha 1.0
    linear .4 alpha 0
transform shoot:
    parallel:
        xoffset 0
        easein .5 xoffset 350
    parallel:
        alpha 1.0
        easein .5 alpha 0
transform misfire:
    parallel:
        xoffset 0
        easeout 1.5 xoffset -350
    parallel:
        yoffset 0
        linear .2 yoffset -30
        linear .3 yoffset 30
        linear .2 yoffset 0
        repeat
    parallel:
        pause .5
        alpha 1.0
        easein 1.0 alpha 0
transform bounce:
    yoffset 0
    linear .07 yoffset 12
    linear .07 yoffset 0
    linear .07 yoffset 8
    linear .07 yoffset 0
