﻿# The script of the game goes in this file.

#name/outline colors
define syc = "#BCFFA5"
define syol = [(3, "#025E5E", 0, 0)]
define gumc = "#ffa6c6" #"#FB6199"
define gumol = [(3, "#611437", 0, 0)]
define pasc = "#ffdeed" #"#FFD2E7"
define pasol = [(3, "#993C5F", 0, 0)]
define bsc = "#FFF29F"
define bsol = [(3, "#98470C", 0, 0)]
define tofc = "#DAAD94"
define tofol = [(3, "#532117", 0, 0)]

define mic = "#ffe6cb" #"#EED3B5"
define miol = [(3, "#745A30", 0, 0)]
define dac = "#e6ac9a" #"#CC9482"
define daol = [(3, "#472423", 0, 0)]
define trc = "#D5E0EE"
define trol = [(3, "#375C82", 0, 0)]

# Declare characters used by this game.
define s = DynamicCharacter("Syrup", image= "sy", color=syc, what_color=syc, outlines=syol, what_outlines=syol)
define g = DynamicCharacter("Gumdrop", image= "gum", color=gumc, what_color=gumc, outlines=gumol, what_outlines=gumol)
define p = Character(_("Pastille"), image= "pas", color=pasc, what_color=pasc, outlines=pasol, what_outlines=pasol)
define b = DynamicCharacter("Butterscotch", image= "bs", color=bsc, what_color=bsc, outlines=bsol, what_outlines=bsol)
define t = DynamicCharacter("Toffee", image= "tof", color=tofc, what_color=tofc, outlines=tofol, what_outlines=tofol)
define m = Character(_("Milk Chocolate"), image= "choco", color=mic, what_color=mic, outlines=miol, what_outlines=miol)
define d = Character(_("Dark Chocolate"), image= "choco", color=dac, what_color=dac, outlines=daol, what_outlines=daol)
define tr = DynamicCharacter("Treat", image= "treat", color=trc, what_color=trc, outlines=trol, what_outlines=trol)
define w = DynamicCharacter("Wolf",image="wolf", color=trc, what_color=trc, outlines=trol, what_outlines=trol)
define narrator = Character(None, kind=nvl, color="#fff", what_outlines=[(3, "#A2786A", 0, 0)])
define n2 = Character(None, kind=nvl, color="#fff", what_outlines=[(3, "#000", 0, 0)])

label splashscreen:
    scene black
    if not persistent.setlanguage:
        call screen langset
        $ persistent.setlanguage=True
    show splash with dissolve
    pause 2
    hide splash with fade
    return

# The game starts here.
label start:
    python:
        #ending points!
        bp = 0
        gp = 0
        pp = 0

        #flags!
        biopsy = False #you saw what gumdrop was made of
        nopets = False #you took gumdrop to butterscotch
        candyslave = False #you left gumdrop with butterscotch
        candydate= False #you took gumdrop shopping
        gotlost = False #you lost gumdrop in town
        foundcandy = False #you helped pastille search for the lost gumdrop
        paranoid = False #you talked to toffee at the marketplace alone
        salesman = False #you tried to sell gumdrop to the choco bros
        gentlelady = False #you lent butterscotch your coat
        forgiven = False #you weren't a monster who said you hated butterscotch twice
        forgotit = False #you didn't watch the crystal ball

        #starting names
        Syrup = _("Candy Alchemist")
        Gumdrop = _("Candy Girl")
        Butterscotch = _("Bratty Witch")
        Toffee = _("Cat Person?")
        Treat = _("Wolf Girl")
        Wolf = _("Scary Wolf")

        save_name = _("Atelier Sweets")

    stop music fadeout 1.0
    scene black
    with fade
    play music candy
    scene storybook
    show sb shop at left
    with dissolve
    "In a peaceful town of magic users, there is a shop that only sells ordinary, non-magical candies. {b}Atelier Sweets{/b}."

    "The owner is known as the Candy Alchemist, a firm believer in science as the superior art."

    "Proud and stubborn, she continues to make magnificent candies in order to prove her case."
    nvl clear
    "But a magical surprise waits in her basement workshop...."
    nvl clear
    scene bg black with dissolve
    s "Hm? What's this thing...?"

    scene bg lab
    show gum happy at right
    show sy reg at left
    with dissolve
    $ renpy.notify(_("Syrup's Candy Laboratory"))
    g "Good morning! How are you today?"

    s "Uh... fine?"

    g "I am also \"fine\"!!"

    s um "Pastiiille? Can you come down here? Like, NOW?"

    g "Um...! I would like it if you told me your name! I would tell you mine, but I was not given one...."
    $ Syrup = _("Syrup")
    s reg "...Syrup. "
    show sy um
    extend "Pastiiille, hurry uuup!"

    g yayyy "You are Syrup! It is very nice to meet you! I hope we can be friends!"

    s reg "Yeah that's not happening. "
    show sy heeey
    s "PASTILLE, GET DOWN HERE ALREADY!" with vpunch
    show gum hey at rightc with move
    g "Syrup! It is very important that we get along!"

    s point "You stay away from me. I want you outta my lab RIGHT NOW."

    g surprise "What is this you are holding?"

    s um "Uh, what's it look like? It's candy."

    g "You are eating it...?"

    s reg "Yyyep. That's the whole point of candy. To get eaten."

    g yay "I see... then... please eat me!"

    s hahano "What? No, you weirdo!"

    g hey "But you have to! It is my purpose, as candy!!"

    menu:
        "In that case...":
            $ biopsy = True
            jump candybiopsy
        "DO NOT EAT THE CUTE CANDY GIRL":
            jump continued
label candybiopsy:
    s hmm "Hmm... even if you're human-shaped and alive, you do look pretty delicious...."
    show gum happy
    show pas smile at leftb, flip behind sy with dissolve
    p "Did you need me for something, Sy?"

    s reg "No. I changed my mind. Go back upstairs."

    p "Oh, we have a guest! Made of... candy?"

    s dakara "I'm not sharing, so don't even ask."

    p worry "Uhh... okay? I'll just get back to work, then...."
    hide pas with dissolve
    s heh "Good. Alright, candy girl. Time to see what you're made of."
    scene bg black with dissolve
    s "Your insides are pretty realistic. Though it doesn't seem like your organs actually function... You're 100\% magic-powered aren't you?"

    g "I do not know the details of my biology...."

    s "Hm. Does it hurt when I pull things out like this?"

    g "No, I was not designed to feel pain."

    s "Do you know where the parts from your body came from? Because most of this candy looks like mine... except covered in gross magic."

    s "...Hey. Who made you anyway?"

    g "That is... a secret!"
    scene bg lab
    show sy grr at rightd
    show pas smile at left, flip
    with dissolve
    p "Sorry to intrude, I brought you two some drinks--"

    p wahh "Wh-what are you doing?!" with vpunch

    s indifferent "Candy biopsy. Trying to figure out which part I wanna eat first...."

    p mad "How could you--?! Sy, you can't just eat someone!!"

    s "She told me to."

    p "So if I told you to eat me, would you?"

    s dakara "That's different."
    show pas wahh at bounce
    p "No it's not!!!!"

    menu:
        "...Okay I see your point":
            $ pp += 1
            s hmm "I get it... you're right. Even if she's made of candy, she's still a person. I won't eat her."

            p patient "I'm so glad you understand...."

            g "Nooo! Master Pastille, why did you prevent me from fulfilling my destiny as candy?"

            s grr "\"Master\"?"

            p sorry "Uhh, haha, I don't know what that's about! Please, just call me Pastille."
            show pas sorry at rightb with move
            p "Anyway, let's get you closed up so Syrup can get back to her work--Lots of candy to make today, right?"

            s indifferent "I wouldn't have to if we just harvested her organs...."
            show pas wahh at bounce
            p "That's not an option!!!!"
            scene bg lab
            show pas ready at rightb
            show gum happy at right
            show sy yo at left
            with fade
            s "Okay, look, I'm being nice enough not to eat her, but you know it's obvious where she came from, right?"

            p eheh "Wh-what are you talking about?"

            s point "It was that rotten witch! You forgot to lock the place up last night and she left this golem to... uhh, spy on us or something!"

            p sorry "That's... one theory, I suppose."

            s reg "I mean, she's really suspicious, right? Hey, candy girl, what are you here for?"

            g yay "My main objective is to get along with Syrup!"

            s grr "See? Definitely a spy. Since I can't eat her, I want her outta here."

            p smile "Sure, no problem. Come with me, Miss Candy Spy!"
            $ Gumdrop = _("Candy Spy")
            g "Oh! I have been given a name!"

            p wahh "N-no, I was just... whatever, let's go!!"
            $ Gumdrop = _("Candy Girl")
            stop music fadeout 1.0
            jump newassistant
        "Eat her anyway":
            jump candibal
label candibal:
    s dakara "Listen, Pastille. I've got this walking amalgam of deliciousness all laid out literally asking me to eat it, so I'm going to eat it."
    stop music fadeout 3.0
    p mad "It doesn't matter what she's made of, I can't believe you'd just eat a person! Don't you have a heart?!"

    s hmm "Do you want me to answer that?"

    p ready "Sy, I can't--I don't think I can deal with this. It's too much."

    p sad "You've already decided on this, haven't you...."

    s "...."

    p dang "...Fine. I didn't want to believe it, but you turned out to be a lost cause after all. Do whatever you want, I... I'm leaving."

    scene bg black with dissolve
    $ renpy.notify(_("Two days later..."))
    play music evils
    pause 1

    s "It really does take a while to eat a person's body weight in candy, huh? But all of you tastes so good...."

    s "I should try to make another one of you myself. Without magic, of course. I wonder if I could do it... Imagine how much I could sell something like that for, too."

    g "Syrup... are we friends?"

    s "Huh? What do you care? You're just candy."

    g "Oh... I see...."

    s "Speaking of friends, where the heck is Pastille...? Some of his stuff is missing and he hasn't come in since... a couple days ago now?"

    s "I can't believe he's throwing such a huge fit over this. That kid is so fired."

    g "...."
    scene storybook2
    show sb candibal at left
    with dissolve
    nvl clear
    n2 "Syrup continued to eat the Candy Girl until she was no more."

    n2 "After countless attempts to create another, she was forced to give up when her store was closed down due to declining sales."

    n2 "Pastille never returned."
    nvl clear
    n2 "CANDIBAL END"
    $ persistent.endclear = True
    $ persistent.candibalend = True
    nvl clear
    stop music fadeout 1.0
    return

label continued:
    s point "I'm not eating you!!"
    show sy reg
    show pas smile at leftb, flip behind sy with dissolve
    p "Is there a problem?"
    show gum pls at bounce
    g "Please, put me in your mouth!!!!"

    p worry "Oh dear."

    s hmm "It's about time, Pastille--make her stop!!"

    g hey "I promise I taste good... Here, just start with a finger!"

    s point "I said no!! I'm not gonna eat a person, it's too weird!"

    g "I am not just a person, I am candy! You said the whole point of candy is to get eaten!"

    p heh "Hmm... Sy, why don't you just eat her, then?"

    s reg "Because she's not regular candy! I don't wanna eat any magic candy that acts like it's human!"

    g surprise "If I did not act human you would eat me...?"

    s "Nnnope. It's too late, I'm never eating you, EVER. Got it?"

    g noo "N-nooo!!!"

    p smile "Hey, don't give up. Maybe she'll change her mind one day."

    s grr "Don't encourage her! Whose side are you on?!"

    g determined "I... I will not give up! I will get along with Syrup!"

    s point "If you wanna \"get along\" so badly, stop telling me to eat you!!"

    s hmm "Pastille, do something about this."

    p worry "Me?"

    s reg "Yeah, you. It's YOUR fault she's in here."

    p "What do you mean?"

    s dakara "I know exactly where this girl came from..."

    p eheh "Y-you do...?"

    s "That rotten witch made her to torment me! This is all her stupid, elaborate prank. YOU forgot to lock this place up last night, and look what happened!"

    p sorry "Oh... yeah, that's probably what happened! Whoops, my apologies."

    s reg "Whatever, just hurry up and get her out of here. I've got work to do."

    g yayyy "Yes, the important work of eating me!"

    s hahano "I said that's not gonna happen!!"
    hide sy with moveoutleft
    g hey "Syrup, you are going the wrong way!"
    show gum happy at rightb with move
    p smile "Hold on."

    g "...?"

    p heh "You'll never be able to get along with her if you keep telling her what to do."

    g umm "Really?"

    p smile "Yeah, can't you tell? She doesn't like it very much. You have to find out what she likes."
    show sy grr at left with moveinleft
    s "Pastille. I can't help but notice this doesn't sound like you're trying to get rid of her. In fact, it sounds like the complete opposite."

    g yayyy "...Alright, Master. I will find out what she likes!"

    s "\"Master\"?"

    p eheh "Maybe she means... master of the household?"

    s reg "This is my store, not a house. If anyone's the master it's me!"

    g umm "Should I have not called you Master, Master...?"

    p patient "Um, just Pastille is fine!"

    g yayyy "Master Pastille!"

    p hmhm "...Well, that's close enough."

    s point "You! Quit being so friendly with my assistant. And you! I thought I told you to get her out of here!!"

    p patient "Come on, Sy, she's not hurting anything."

    s "You're forgetting it was that WITCH who made her, obviously, as a prank or something... just watch, she'll start wrecking my lab any minute!"

    g happy "...?"

    p worry "I don't think she ever planned on wrecking anything, Sy...."

    s reg "Are you saying I'm wrong? And that she's here for some other reason?"

    p "W-well... I don't know, I just think--"

    s yo "You. Candy weirdo. Who made you?"

    g "...That is a secret!"

    s grr "Figures. Why are you here, then?"

    g yay "To get along with Syrup!"

    p smile "See? Harmless."

    s hmm "Shut your face--Alright, wanna know the secret to getting along with me?"

    g "Yes!"

    s point "STAY OUTTA MY LAB!!" with vpunch

    g umm "But...."

    p patient "Let's give her some space for now, okay?"

    g "Okay...."
    stop music fadeout 1.0
    hide gum
    hide pas
    with dissolve
    s hmm "Why's she only listening to Pastille? Stupid candy weirdo...."

label newassistant:
    scene bg black with dissolve
    $ renpy.notify(_("A little while later..."))
    pause 1
    scene bg lab
    show sy hmm at center
    with dissolve
    s "One more batch of these... and... shoot, I need more tartrazine. Guess I'm taking a shopping break."

    play music title
    scene bg shop
    show pas smile at rightb, flip
    show gum dress at right
    with fade
    p "Then, everyday after the cleaning's done, we take inventory."

    g yayyy2 "Running a store sounds like a lot of work... I have a newfound respect for you, Master Pastille!"

    show sy grr at left with dissolve
    s "What is this. What are you doing."
    show pas smile at rcenter, unflip
    p "Oh, Sy. I'm teaching her how we run the store."

    g "I am helping!"

    s "No. No no no. You were supposed to make her leave, not reveal all our trade secrets. And why'd you dress her up like that?"

    p "Would you rather she kept walking around naked? She needs a uniform if she's going to work here."

    s point "She's not working here!!"

    g "I want to work for Syrup! Let's get along!!"

    s "Cut it out!!" with vpunch

    s reg "What are you thinking, Pastille, what if she really was sent here as a spy so that witch can ruin us? It's like you're just HANDING her our business."

    p sorry "We could use the extra help. If she does turn out to be Butterscotch's spy, I'll take full responsibility. So... can we keep her?"

    s dakara "Magic candy golems aren't pets! I said no!!"

    g dress "I will work hard to earn my stay! I'm very skilled with menial tasks!"

    p smile "It's true! She cleaned this whole place while you were down there making candy. Look around, it's spotless."

    s cool "...Hmm. She DID do a good job. It even looks brighter than usual...."

    menu:
        "Alright, we'll keep her.":
            $ gp += 1
            $ pp += 1
            jump adopted
        "I still don't like it.":
            $ nopets = True
            show pas worry
label nopetsallowed:
    s hmm "I'm not hiring a spy. And she's not staying here. That's final."

    g aw "Spying is not a friendly thing to do...."

    s "Exactly, which is why I've gotta be proactive here."

    p sad "Sy...."

    s dakara "We're taking her back to where she came from! Close up shop and follow me!"
    stop music fadeout 1.0
    hide sy with moveoutleft
    g "Master Pastille, I do not understand one bit...."

    p worry "I'm sorry, I wish you could stay here, too. It'd certainly make things a lot easier... oh well."

    scene bg cottage with fade
    $ save_name = _("Butterscotch's Cottage")
    $ renpy.notify(_("Butterscotch's Cottage"))
    play music witchnyan
    pause 1

    scene bg cottagedoor
    show tof nyan at right
    show sy reg at lcenter
    show gum dress at leftc, flip
    show pas sad at leftd, flip
    with dissolve
    t "Nyoho, visitors."

    s "Tell the witch we have something of hers."

    g ooh "What do we have?"

    p worry "She's talking about YOU."

    t sly "Is this a candy golem, nya? Looks very well made... Master will be interested."

    s dakara "Yeah, yeah, just get her out here."

    t nyan "So bossy, nya."
    show sy reg with None
    hide tof with dissolve
    t "Hey, Master, your old pal the Candy Alchemist is here with something sweet. Nya."

    b "What?! Don't lie to me, Toffee. She'd never bring me anything."
    $ Toffee = _("Toffee")
    t "Honest, nya. Come see for yourself."

    b "...."
    show bs smirk at rightc behind sy
    show tof nyan at rightd
    with dissolve
    b "Well, well, well! I never thought I'd see the day where the Great Candy Alchemist Syrup personally brings me candy!"

    s hmm "Butterscotch."
    $ Butterscotch = _("Butterscotch")
    b drool "Let's see... Oohhh a life-size, girl-shaped candy! It looks delicious!!"

    g dress "I am relieved to hear that! I was worried I didn't look tasty since Syrup refused to eat me...."

    b shock "It's alive?! Where'd you get your hands on a golem like this?"

    s grr2 "Quit playing dumb. I know you made her to torment and/or spy on me."

    b "You think... that I...?"

    b brag "O-ohohoho, yes, well done, Candy Alchemist! You're exactly right! I made this golem myself, with my incredibly powerful magic!"

    t "Meowow, Master, I can't believe you made something so sophisticated without me even nyoticing."

    b "You shoosh, this is nothing! I can do higher level magic in my sleep!"

    t heh "It doesn't count if you do it in a dream, nya."
    show bs mad at bounce
    b "That's not what I meant and you know it!"

    p "Sy... are you sure you wanna leave her with these two?"
    show tof nyan
    show bs smirk
    show sy hmm
    menu:
        "My mind's made up.":
            jump abandonher
        "On second thought...":
            show pas smile
            jump keepher

label abandonher:
    s "I already told you, she's not staying with us. They made her, they can have her!"

    b shock "Wait, you really brought it to give to me?"

    s grr2 "Just take your candy weirdo back and leave me alone!"
    show bs smirk with None
    show sy at leftc
    show gum surprise2 at rcenter
    with move

    g "Huh?"

    s cool "Come on, Pastille."

    hide sy with moveoutleft
    show gum dress at leftb, unflip
    show gum at leftc with move
    g "Are we leaving?"
    show gum at leftb, behind bs
    show pas sorry at leftc
    with move
    p "Sorry. You have to stay here."

    g aw "But how will I get along with Syrup...?"
    show pas at left with move
    p "I... I promise to come visit you! I'm sorry!"
    hide pas with moveoutleft

    b drool "Sweet! Free candy servant!"

    t "How lucky for us, nya."

    g "...."
    stop music fadeout 1.0

label candyslave:
    scene storybook2
    show sb eatenaway1 at left
    with fade
    $ candyslave = True
    play music evils
    nvl clear
    n2 "The next day, Pastille checks in on the Candy Girl."
    window show
    show sb eatenaway2 with dissolve
    window auto
    n2 "Butterscotch has been diligently eating her away, leaving the poor golem in a miserable state."

    n2 "A very concerned Pastille confronts Syrup about the consequences of her actions...."
    nvl clear
    $ save_name = _("Atelier Sweets")
    scene bg shop
    show sy cool at leftc
    show pas sad at rightc
    with dissolve
    $ renpy.notify(_("Atelier Sweets"))
    p "We can't let Butterscotch keep treating her so badly! Some of her LIMBS are missing, she looks so... so sad!!"

    s hmm "Not my problem."

    p worry "Please, Syrup, I know you love shutting people out, but I'm really worried about her! Butterscotch won't listen to me... I need your help!"

    menu:
        "Agree to help":
            $ pp += 1
            s um "Alright. If it's that important to save some lump of candy... I'll help you out."

            p patient "Thank you...."
            scene bg black with dissolve
            jump rescuemission
        "Ignore him":
            s dakara "Nope. I don't feel like it."

            p mad "Why don't you understand...? I guess this whole thing was just a waste of time...."
            hide pas with dissolve
            s hmm "...."
            jump lonelystore

label rescuemission:
    play music witchnyan
    $ save_name = _("Butterscotch's Cottage")
    scene bg cottageint
    show bs drool at rightb
    show tof nyan at right
    show gum eaten at leftb
    with dissolve
    $ renpy.notify(_("Butterscotch's Cottage"))

    b "Heehee! Every bite I take is more and more delicious...! Candy this good must be a sin!"

    g "Miss Butterscotch... if you continue eating that leg, soon I will not be able to walk anymore...."
    show sy grr2 at left with dissolve
    s "Hey."

    t "How rude, you didn't even wipe your feet before barging in here, nya."

    s "Stuff it, cat. I'm taking back my golem."

    b mad "What?! This thing was a gift, no take backs!!"

    s reg "Take backs? What are you, three? This isn't playground rules, I changed my mind about letting you keep this golem, so now we're leaving. That's that."

    g "Syrup...."

    s um "Bleh, you're all sticky. Sorry for letting that witch slobber all over you. Let's get outta here."

    t heh "You know, I'd think you were pretty cool if it weren't for all the mean stuff you did to Master, nya."

    s dakara "Yeah well you guys damaged my stuff, so, guess we're even. Later."
    hide sy
    hide gum
    with moveoutleft
    show bs mad at leftb with move
    show bs mad at bounce
    b "Ooohh I can't stand her! There was still so much left to eat!! She can make her OWN candy, why would she bully me like this?!"

    t sly "Maybe she only wanted a taste of that golem after your lips were on it. Indirect kisses, nya."
    show bs aaa at flip
    b "Ack!! D-don't be gross, Toffee!!"
    stop music fadeout 1.0
    scene storybook
    show sb fixd at left
    with fade
    nvl clear
    "Syrup took the Candy Girl back to her workshop and began replacing all the parts Butterscotch had eaten away."

    "It wasn't long before she was back to mint condition. They decided to leave her hair as it was, after Syrup had mentioned it looked kind of cute."
    nvl clear
    jump homesweethome

label keepher:
    s heh "Y'know, I think I may have jumped the gun a little on this one. What was I thinking? Coming here and politely returning her wouldn't teach them a lesson at all."

    t "You were really gonna give that thing to us, nya?"

    s smirk "Not anymore. I've come to my senses. You probably would've just eaten her in a day anyway."

    g hey2 "You cannot savor my sweetness if you eat me all at once! What a waste!"

    b drool "I-I would've paced myself! Here, I'll show you, let me try a piece right now!!"

    s heh "Too bad, you should've thought about that before you left her in my lab as a prank. At least you can always make another one, right?"

    b mad "Grr... y-yeah! Of course I can! Who do you think I am?!"

    s dakara "Anyway, if you ever pull something like this again, I'm banning you and your stupid cat from my store! We clear?"

    t sly "Oh nyo, but then where will Master get her favorite candies?"

    b "Y-you can't ban me! I'll put a hex on you!!"

    g dress "Please do not do that! Hexes are not very nice."

    s proud "C'mon, guys. We're going home."
    hide sy
    hide pas
    hide gum
    with moveoutleft
    b "I can't believe she just came here to rub that thing in my face! She's so mean!!"

    t nyan "You started it by declaring her your rival way back when, nya."
    show bs mad at bounce
    b "Shut up, mangy cat!"

    t heh "Nyow who's the mean one?"
    stop music fadeout 1.0
    scene bg black with dissolve
    jump homesweethome

label adopted:
    s yo "Fine. She can work for one day. But after that, I want her out."
    show sy behind gum
    show gum yayyy2 at leftc with move
    show sy grr
    g "Thank you, Syrup! I will not disappoint you!"
    show gum at leftb, flip
    hide gum with moveoutright
    s hmm "...."
    show pas patient at rightb, flip
    p "...She's already started taking inventory by herself? What a hard worker."

    s smirk "What are you smiling about? She'll steal your job at this rate."
    show pas wahh at bounce
    p "Gah! Slow down!!"
    hide pas with moveoutright

    s cool "...Welp, guess that's settled. I need to do some shopping."
    stop music fadeout 1.0
    scene bg shopext
    with fade
    show sy cool at rightb with dissolve
    show sy cool at left with move

    play music candy
    g "Waaait!"
    show sy hmm with None
    show gum dress at rightb with dissolve
    show gum at center with move
    g yayyy2 "You waited... thank you!"

    s grr2 "Yeah, yeah. What do you want?"

    g dress "Master Pastille said that he will handle the inventory taking! If you're running errands, I would like to help!"
    menu:
        "Whatever floats your boat.":
            $ gp += 1
            s proud "Fine. Let's go."

            g yayyy2 "Huzzah!"
            jump shoppingduo
        "Get lost.":
            s "I don't need any help. You can go now."
            show gum hey2 at leftb with move
            g "Please let me accompany you!"

            s hmm "Why do you never listen to what I say? I'm your boss now, so if you're not careful, you're gonna get fired."

            g aw "I... I do not want to be fired!"

            s dakara "Then get lost! I'm going alone."
            stop music fadeout 1.0
            show sy cool
            hide sy with moveoutleft
            g "...."
            $ gotlost = True
            jump shoppingalone

label shoppingduo:
    $ save_name = _("Marketplace")
    $ candydate = True
    scene bg market
    with fade
    $ renpy.notify(_("Marketplace"))
    pause 1
    show sy reg at left
    show gum dress at rightb
    with dissolve
    g "So, what are we shopping for today, Syrup?"

    s "Tartrazine."

    g "I have never heard of that! Does it make your candy tastier?"

    s yo "It's food coloring. It doesn't taste like anything."

    g aw "Oh! I was hoping we might buy something to make me taste better...."

    s smirk "Why? So I'll want to eat you?"
    show gum yes at leftb with move
    g "Yes!"
    show gum yes2
    s hahano "Well, you're outta luck. No matter what you taste like, I'm not eating you."

    g hey2 "Syrup, you are a very stubborn person."

    s heh "Yyyep."

    s indifferent "Here we go! Tartrazine."

    g yayyy2 "Mission complete! Now you can make more inventory for me to take!"

    s hmm "...Sure. Just don't forget you're only staying for one day."

    g dress "That is fine with me. I will just have to become your friend before then!"
    play music witchnyan
    show gum at lcenter, flip behind sy with None
    show tof sly at right with moveinright
    t "Oh, it's the Candy Alchemist, nya."

    g yayyy2 "Syrup! A kitty cat!"

    t "Meowow, where'd you get such an impressive golem? I thought you hated magic things, nya."

    s grr2 "...What do you want?"

    t nyan "Gee whiskers, I'm not so rude as to decline greeting my master's rival when I see her. Salutations, nya."

    g dress "Oh, how polite! Nice to meet you, kitty!"
    $ Toffee = _("Toffee")
    t "The name's Toffee, nya. And what do they call you, Miss Golem?"

    g "I have not yet been given a name!"

    t heh "Nyoho, how sad for you. But really, Candy Alchemist, I'm very surprised to see this mew friend of yours."

    g yay2 "Oh, I do not think we have become friends yet, but I am working very hard at it!"

    s reg "...She doesn't look familiar to you? After all, it was your MASTER who made her, right?"

    t nyan "Was it? I had nyo idea."

    s smirk "You aren't fooling anyone, cat. That rotten witch is the only one who'd try to prank me like this. She made this golem to either spy on me or try to sabotage my business somehow!"

    t "Sabotage your business? Master's your best customer, nya. That doesn't make a lick of sense."

    t heh "I'm sure if she were here she'd try to take responsibility for it, though. It takes some high level magic to make a thing like that, nya."

    t sly "Which brings us back to my furst point. Why is the Candy Alchemist, who's so outspokenly anti-magic, strolling around with such an unscientific creature, nya?"

    s hmm "I'll admit, you do have a point, cat...."

    menu:
        "Take her home":
            $ gp += 1
            s cool "...C'mon. We're getting outta here."
            hide sy with moveoutleft
            g dress "Okay. Goodbye, Toffee!"
            show gum at leftc, unflip
            hide gum with moveoutleft
            t "Running away, nya? Well thanks for the interesting chat."
            stop music fadeout 1.0
            scene storybook
            show sb hometogether at left
            with dissolve
            "The pair made their way home and Syrup went straight back to work, making more delicious candies."

            "In appreciation for the Candy Girl's enthusiasm and general willingness to be helpful, the Candy Alchemist decided to keep her as an assistant."
            nvl clear
            jump homesweethome
        "Leave without her":
            s dakara "If she were with me, that is. Which she's not."
            show gum aw at leftb, unflip
            g "But... we came here to buy the color for your candy, remember...?"

            s "Like I said, she belongs to a certain witch who has it out for me. I don't associate with anyone who DOES magic, or anything that was BORN from magic."
            hide sy with moveoutleft
            g "Syrup...."

            t nyan "That's too bad. Maybe it was foolish to think she'd suddenly get over her biases like that though, nya."

            t "You're welcome to come to my house, if you'd like. Master would love to meet you, nya."
            show gum hey2 at lcenter, flip
            g "No, thank you. I must keep trying. Goodbye, Toffee!"
            show gum hey2 at leftb, unflip
            hide gum with moveoutleft
            t heh "...Rats."
            $ gotlost = True
            stop music fadeout 1.0
            scene storybook2
            show sb homealone at left
            with dissolve
            nvl clear
            n2 "Syrup hurries past the other shops, keeping her head down to avoid drawing attention."

            n2 "Her shop had always done just fine leaving anything magical out of the equation."

            n2 "She felt a tinge of regret at letting the golem stick around."
            jump lostcandy

label shoppingalone:
    $ save_name = _("Marketplace")
    scene bg market
    show sy cool at left
    with fade
    $ renpy.notify(_("Marketplace"))
    s "Here it is. Hmm, might as well pick up some other things while I'm here...."
    show tof nyan at rightb with dissolve
    show sy at center with move
    show sy yo at leftb with move
    s "Oh, 'scuse me."

    t "Nyo problem."
    play music witchnyan
    show sy point at left with vpunch
    s "Gah! It's YOU."
    $ Toffee = _("Toffee")
    t heh "Did you forget my name? It's Toffee, nya."

    s reg "Quit screwing around. Your master told you to tail me to see how I deal with her little PRESENT, isn't that right?"

    t sly "Nyoho, a present? I don't remember us sending you one."

    s grr "Don't play dumb, cat! You guys left a candy golem in my lab last night. To spy on me or something!"

    t nyan "A candy golem? Master doesn't have that kind of talent, nya."

    s hmm "I just know she's trying to sabotage my business somehow. I don't care if you admit it or not, you're the most likely suspects. No, the ONLY POSSIBLE suspects."

    t "Meowow, whatever happened to innocent until proven guilty? Paranoia doesn't suit you, nya."

    s "...."

    t "Master's your best customer. It doesn't make a lick of sense for her to try to ruin you in such an absurd way, nya."

    t sly "Whoever's responsible though, sounds like they have a pretty elaborate scheme going. Why make a candy golem saboteur when there's so many willing HUMAN saboteurs to pick from?"
    $ paranoid = True
    s um "...You tell me."
    stop music fadeout 1.0
    scene storybook2
    show sb homealone at left
    with dissolve
    nvl clear
    n2 "Syrup leaves the marketplace, the cat's words still hanging in her mind."

    n2 "If the witch had nothing to do with the candy golem, then where could she have come from?"
    jump lostcandy

label lostcandy:
    n2 "When Syrup returned home, Pastille was waiting for her."
    nvl clear
    $ save_name = _("Atelier Sweets")
    play music evils
    scene bg shop
    show sy hmm at leftc
    show pas smile at rightc
    with fade
    $ renpy.notify(_("Atelier Sweets"))
    p "Where's our candy friend?"

    s "Dunno."

    p ready "...Sy, did you lose her in town?"

    s cool "Maybe. Why do you care?"

    p "That's awful! We have to find her!"

    s "You have fun with that."

    p sad "...I know you don't like her, but isn't this a little mean? Even for you?"

    s reg "Well she's not MY responsibility. If you didn't want her to get lost, you should've kept her inside."

    p mad "I didn't think you'd just LEAVE her somewhere!"

    s grr "Why are you getting so worked up over candy?"

    p "She's a person! I'm going to look for her."
    hide pas with dissolve
    show sy hmm
    menu:
        "...He's right.":
            $ pp += 1
            s yo "...Pastille! Wait up!"
            hide sy with dissolve
            scene bg black with dissolve
            jump search
        "Whatever, bye.":
            jump lonelystore

label lonelystore:
    scene storybook2
    show sb counter at left
    with fade
    nvl clear
    n2 "Pastille didn't return."

    n2 "Syrup spent a sleepless night at the front desk waiting for him to show up with the Candy Girl in tow, to give her an earful for being so irresponsible..."

    n2 "But that moment never came."

    n2 "There was no time to dwell on it, either. She had a store to run."
    nvl clear
    stop music fadeout 1.0
    scene bg shop
    show sy hmm
    with dissolve
    s "...."

    s "............"

    s point "Why isn't anyone coming in?!" with vpunch

    s um "...Oh. I forgot to flip the \"open\" sign."

    scene bg black with dissolve
    play music witchnyan
    scene bg shop
    show sy grr at leftc
    show tof nyan at rightc
    with dissolve

    s "Gah! It's the cat...."

    t "I see business has been slow for you today, nya."

    s hmm "...Wanna buy some candy?"

    t "Oh, nyo, maybe some other time."

    s point "Then why are you here?!"

    t "Master is always wondering what you're up to, nya."

    if candyslave:
        s reg "My assistant bailed on me, so I'm stuck doing everything he used to do."

        t "What a coincidence, we recently had a servant disappear as well. Purrhaps they ran away together."

        s cool "Figures...."

    else:
        s hmm "I see... since her other spy bailed, she's forced to use her familiar again...."
        if paranoid:
            t "Other spy, nya? Oh, the candy golem you mentioned. But you know, she really wasn't working for us."

            s um "If she was, she did a good job."
        else:
            t "Other spy, nya?"

            s grr2 "I know she made that candy girl to sabotage me!"

        s cool "My assistant quit because of her... so congratulations, you won."

        t "Miss Golem isn't here, then? That's a shame, nya."

        s yo "Did you come here to collect her?"

        t "I would've liked to show her to Master. That's all, nya."

        s cool "...Like I said, your master's the one who made her in the first place. It couldn't have been anyone else."

        t sly "Are you pawsitive?"

        s hmm "...Quit with the terrible cat puns, Toffee. I'm being serious. My assistant's gone, and if it wasn't Butterscotch's fault, I don't know who I'm supposed to blame."

        t nyan "Then just forget about it, nya. Gotta move forward and sell those candies, right?"

        s "Not much else to do, I guess."

    t "You look like you could use some help, nya."

    s reg "I'm fine running this place on my own."

    t sly "Oh, so you were closed all morning on purrpose?"

    s point "Shut up!"

    t "Why don't you hire me-ow? You can just pay me in candy. I don't mind, nya."

    menu:
        "Hire the cat":
            s yo "...Fine. But I'm making you wear the uniform. Do you want the pants or the skirt?"

            t nyan "Neither, nya. I like my own clothes just fine."

            s reg "This is literally the only condition to handling the storefront. I'm not hiring you if you won't wear it."

            t heh "Are you sure? You look like you really need employees, nya."

            s um "...Ugh. Damn cat. Do whatever you want."
            jump parttimecat
        "I'm not that desperate":
            s reg "No way. No more new hires. This is MY store and I'll manage just fine."

            t nyan "Well, well, in that case, I wish you the best of luck. See you around, nya."
label thentherewasone:
    stop music fadeout 1.0
    scene storybook2
    show sb badend1 at left
    with fade
    nvl clear
    n2 "But running the store on her own proved to be more of a challenge than Syrup expected."

    n2 "Her unpleasant demeanor kept customers at bay, and the less candy she sold, the more frustrated she felt."

    n2 "It wasn't long before Atelier Sweets was forced to close down, and Syrup was left with nothing and no one."
    nvl clear
    n2 "BAD END 1"
    $ persistent.endclear = True
    $ persistent.badend1 = True
    nvl clear
    return

label parttimecat:
    scene storybook2
    show sb cattakeover at left
    with dissolve
    nvl clear
    n2 "Toffee began running the storefront, improving sales immediately."

    n2 "Syrup kept herself locked in the basement, steadily producing more and more candy, trying to keep up with the town's sweet tooth."

    n2 "In as little as a week, her shop had completely transformed into a place she no longer recognized."
    nvl clear
    scene bg shop2
    show sy reg at left
    show tof nyan at right
    with fade
    s "Hey. Is it just me, or did the vibe up here totally change?"

    t "I'm only responding to the customer's needs, nya. Speaking of which, the focus group testing has shown that we need to get in on the magical candy market."

    s grr2 "What?! Absolutely not, the whole point of this store is that none of the candy here is made with magic!"

    t "Master has already agreed to help out, so you don't need to worry about that part. Just let her take care of it, nya."

    s point "You're taking over my store?!"

    t sly "Oh, you finally caught on. Then I'll tell you this, too--the whole reason we've been doing so well is because of magic, nya."

    s grr "What do you mean?"

    t "Master has been jinxing everyone to crave your sweets. The more money we make, the more candy she gets."

    s "That's... that's just messed up!"

    t nyan "Anything for Master! If you don't like it, feel free to quit, nya. You won't be entitled to any of the profits anymore though."

    s dakara "I don't want any of your stolen money. I'm leaving."
    hide sy with dissolve
    t "Suit yourself, nya."
    stop music fadeout 1.0
    scene bg shopext
    show sy frick
    with fade

    s "Why'd Pastille have to abandon me like this...? That traitor...."
    scene storybook2
    show sb badend2 at left
    with fade
    nvl clear
    n2 "Syrup left town in search of a place far removed from magic."

    n2 "She resolved to spend the rest of her days in obscurity, never staying in one place very long."

    n2 "This ensured no one could ever get close enough to betray her again."
    nvl clear
    n2 "BAD END 2"
    $ persistent.endclear = True
    $ persistent.badend2 = True
    nvl clear
    return

label search:
    scene storybook
    show sb search at left
    with dissolve
    nvl clear
    "Pastille and Syrup wander the town in search of their sweet golem, finding it to be a little difficult to call out to someone who hadn't yet been given a name."

    "Their search soon stretches into the woods, home to recluse witches and the occasional monster." id search_1fb807e7
    nvl clear
    stop music fadeout 1.0
    $ save_name = _("Butterscotch's Cottage")
    scene bg nightcottage
    show pas smile at right
    show sy indifferent at left
    with fade
    $ renpy.notify(_("Near Butterscotch's Cottage"))
    s "Heeeeey. Candy giiirrrlll. You around here?"

    p heh "With that level of enthusiasm, she's sure to come running."

    s um "Well, what do you want me to do?! I'm trying here."

    s yo "...Hey, is that her?"
    show pas smile with None
    play music candy
    show gum yayyy2 at lcenter with dissolve
    g "Syrup and Master Pastille appeared!"

    p patient "You're okay!! We were worried... what are you doing all the way out here?"
    show gum yay2 at rightb, flip
    g "I am lost!"

    s proud "...Well now you're found. Let's go home, okay?"
    $ foundcandy = True
    show gum at lcenter, unflip
    show gum yayyy2 at leftb with move
    g "Home with Syrup! That sounds wonderful!"

    p "I'm just glad something didn't eat you up...."
    hide gum
    hide pas
    hide sy
    with dissolve
    show tof heh at right with dissolve
    t "Rats. And I was so close to luring her inside... nya."
    stop music fadeout 1.0
    scene bg black with dissolve

label homesweethome:
    play music title
    scene storybook
    if candyslave:
        show sb newassistant2 at left
    else:
        show sb newassistant at left
    with dissolve
    nvl clear
    "And so, the golem started living with Syrup and Pastille at Atelier Sweets."

    "She became a mascot figure for the shop, boosting sales instantly."
    nvl clear
    scene bg shop
    show sy hmm at left
    show gum dress at lcenter
    with fade
    $ save_name = _("Atelier Sweets")
    $ renpy.notify(_("Atelier Sweets"))
    s "Gel... Jelly... something... hrm, no...."

    g hey2 "You'll think of something! I have faith in you, Syrup!"
    show pas smile at right with moveinright
    p "What's going on over here?"

    s dakara "I'm trying to come up with a name for her."

    p "You're naming her? What happened to \"candy golems aren't pets\"?"

    s heh "Well I can't just keep calling her candy weirdo."

    g dress "Technically you could!"

    p patient "No, we really should give you a proper name."

    s oh "How about... Gumdrop?"
    $ Gumdrop = _("Gumdrop")
    g yayyy2 "Gumdrop! It's a nice name!!"

    p "I think she likes it."

    g dress "Yes!! I knew if it was Syrup she would pick something good!"

label customers:
    scene bg shop
    show pas smile at center, flip
    show gum dress at leftc, flip
    show sy reg at leftd
    show choco hello at right
    with fade
    m "Hello hello! The Chocolate brothers are making their entrance!"

    d "Yes, we've heard your shop has gotten a lot more interesting as of late, so we decided to pop in!"

    g yayyy2 "Hello! Welcome to Atelier Sweets!!"

    m "Oh, Candy Alchemist, you've got sugary golems for sale now? How charming!"

    d "But if we're not mistaken, isn't magic necessary in their making? Unless you've found a way to create life through your alchemy...?"

    s "She's our assistant, and I didn't make her."
    show flowermagic
    m flowers "Ooh, mysterious! I am completely taken with her. May I offer you flowers, milady?"

    g surprise2 "Magic flowers!! You are very good, sir!"

    s yo "Can you not do that in here? I don't want your magic dust getting all over my goods."

    d hello "You haven't changed one bit, Candy Alchemist. Our apologies."

    g hey2 "Syrup, you should not boss around these kind, well-dressed customers!"

    s grr "Are you sassing me? It's my store, I'll do what I want."

    m "Hmhm... Would you perhaps be interested in selling this one? She's quite adorable."

    menu:
        "She's not for sale":
            $ gp += 1
            s reg "You can buy any other candy in here, but this one's mine."

            g yayyy2 "Syrup! I am delighted that you think of me as yours!"

            s um "Don't take it the wrong way, you just work for me. Your looks are good for business."

        "...How much we talkin'?":
            $ salesman = True
            s smirk "I don't know, what's she worth to you? Depending on the number, I might be interested."

            p ready "Sy, that's horrible! We just gave her a name, we're not selling her."

            if candyslave:
                g aw "Syrup... you wish to give me away once again...?"

                s indifferent "Well, these guys don't want to eat you, so there's nothing to feel bad about."
            else:
                g aw "Um, if I could not stay here with Syrup, it would become very difficult to complete my goal...!"

            d "Are you quite certain? We'd like to remind you that money is no object for us."

            p smile "Sorry, we need her here."

    d "What a shame... golems are said to be such excellent servants. We've come to want one of our own."

    s reg "You two can do magic. Make one yourselves."

    m "Oh no no, it is a very high level spell that requires a focused passion. Even our combined power couldn't result in anything close to that."

    p patient "I'm sure you could get it if you tried! Not that I know anything about magic...."

    d "Well well, we'll just have to give it a go sometime then, hm? Now I suppose we should purchase something sweet and be on our way."

    m "Caramel sounds lovely, doesn't it, brother?"

    g yayyy2 "We have that! Allow me to assist you at the register!"
    scene bg shop
    show sy hmm at leftc
    show pas smile at rightb
    with fade

    p "She's so friendly, isn't she?"

    s "I think she overdoes it. Whatever keeps customers happy, though."

    s yo "...Hey, Pastille? Is it true not just any old witch can make a golem?"

    p "Huh? Well, you don't see very many walking around, so that sounds about right."

    s cool "...."

    p "Penny for your thoughts?"

    s hmm "Just wondering what Butterscotch's actual skill level is when it comes to this kind of thing...."
    if nopets:
        s "She looked genuinely surprised to see Gumdrop, but it could've been an act just to throw me off. I don't know anymore."
    if foundcandy:
        s "When we found Gumdrop wandering near her cottage I took it as proof they're in cahoots somehow... but now I'm starting to think it might've been a coincidence."

    p "Well, it's like you said. If Butterscotch didn't make her, then who did?"

    s yo "She seems to listen to you... do you know where I'm going with this?"

    p eheh "...N-no?"

    s heh "Ask her to tell you who her creator is! Since she won't tell me, you're my only hope, dude."

    p sorry "O-oh, I already asked! When I was training her for work. No luck there, sorry!"

    s um "Ugh, I'll drag it out of her some way or another...."

    p smile "To change the subject, I'm surprised to see you out of that basement during store hours! Was there any particular reason for that?"
    show sy indifferent
    menu:
        s "Yeah, I was planning on..."
        "Supervising Gumdrop":
            $ gp += 1
            s heh "...looking after our new assistant. Hey, Gumdrop!"

            show gum dress at right with moveinright
            g "Do you need something, Syrup?"

            s "Let's do something together. I want to work with you today."

            g "In that case, I am interested in learning about the process of candy making! Could you show me how it is done?"

            s grr2 "So you can steal my recipes?"

            g worry "Not at all!! I only thought it would make a nice bonding experience, but if you do not wish to...."

            s smirk "Nah, I guess I don't mind. Just know I've got my eye on you... I'm definitely gonna find out what your deal is."

            g yayyy2 "Bonding with Syrup! Huzzah!!"

            p patient "...Right. Well, you two have fun!"
            stop music fadeout 1.0
            scene bg black with dissolve
            jump withgumdrop
        "Working with you":
            $ pp += 1
            s smirk "...lending you a hand running the storefront maybe?"

            p heh "Very funny."

            s heh "No joke, dude."

            p worry "You'd... actually help with all the work you usually push off on me because you hate doing it? Is there something you want?"

            s "Just to spend some time with my bestest buddy, Pastille! C'mon, is it that weird for me to take a break from candy making to help with the candy shopkeeping?"

            p "Honestly, yes."

            s reg "Well, maybe I just want a little change of pace. Is it okay if I work with you for one afternoon?"

            p ready "Your people skills are lacking, you never remember where any of the inventory goes, and whenever you clean anything I always have to go over it a second time."

            s "Then make me better at all those things! I already made up my mind, so no more whining about what an awful job I do."

            p hmhm "Ha, if you insist!"
            jump withpastille
        "Leaving":
            s heh "...going out today! Woulda left sooner if I hadn't gotten caught up talking to everyone. Thanks for that."

            p heh "Alright, enjoy the sunshine! Maybe it'll make you a little less grouchy."

            s smirk "Don't count on it."
            jump butterscotchvisit

label withgumdrop:
    play music candy
    scene bg lab
    show gum dress at rightc
    show sy dakara at leftc
    with dissolve
    $ renpy.notify(_("Syrup's Candy Laboratory"))
    s "...Then after you pour in the syrup, you let it boil for a while. The temperature's different depending on what kind of candy you're making."

    g yay2 "Syrup is the secret ingredient? How fun!" id withgumdrop_a2273fc7

    s "There's no secret ingredients. It's just regular hard candy."

    g "It is still exciting! What comes next?"

    s smirk "Flavor. Then you pour it all out, add some citric acid and color, and make it into whatever shape you want before it cools and hardens."

    s proud "Rolling it around is kinda the fun part. Here, when this batch is ready I'll give you some gloves so you can join in."
    if candydate:
        g "Syrup! For these candies, I would like to use the color we bought together!"

        s "Oh yeah? Yellow it is, then."
    with fade
    s "Hmhmmhmm ba-dadah dah dahh~"

    g "Does singing to the candy make it taste better? I will join you! Lalalaa~"

    s embarrassed "No, singing has nothing to do with it! That's just kind of a habit I have since usually no one's down here with me...."

    g dress "I think your candies appreciate it anyway!"

    s point "That's enough rolling! Let's wait for them to cool off...."
    show sy heh
    with fade
    s "It should be ready now. Here, try it."

    s um "Actually, wait, would eating this make you a cannibal?"

    g ooh "I was not made with the ability to taste things! So I will pass."

    s aww "Huh... what other senses are you missing?"

    g dress "Taste is related to smell, which I am also incapable of!"

    s heh "You sound pretty cheery for someone missing out on some major sensory experiences, Gumdrop."

    if biopsy:
        g "It is not all bad. As I told you once before, I also do not feel pain!"
    else:
        g "I also do not feel pain, so being a candy person does have its advantages!"

    s indifferent "Hm. Guess it's just a matter of perspective then, huh?"

    s reg "...So why'd you wanna make candy with me if you can't enjoy any of it? Was it just to spy on me after all?"

    g yayyy2 "I did enjoy it! I now have a better understanding of where I came from."

    if not biopsy:
        s hmm "...I didn't make you, though."

        g dress "Well... still!"

        s yo "But maybe... your parts WERE actually made by me? That witch does buy enough candy from me, so it's definitely possible...."
        show gum yes2 at center with move
        g "If you would like to know for sure, you could always try a bite!"

        s um "Trying to trick me into eating you again? That's not gonna happen. It doesn't matter what you're made of, what I really wanna know is who put you together."
    else:
        s yo "Where you came from, huh? We can always ask whoever put you together... what's their name?"

    g worry "I cannot tell you that. I am sorry."

    s cool "Figures. We're done here. Give that tray of candies to Pastille, I'm going out for a while."
    stop music fadeout 1.0
    hide sy with dissolve
    g aw "Syrup...."
    jump butterscotchvisit

label withpastille:
    scene bg black with dissolve
    $ renpy.notify(_("Five minutes later..."))
    pause 1
    scene bg shop
    show sy cool at leftc
    show pas worry at rightc
    with dissolve
    p "No, no, I told you not to put the gumballs next to the jawbreakers! A little kid might hurt themself!"

    s "So? Their fault for being an idiot kid."

    p ready "This is why we keep you in the basement. You're a danger to society."

    s heh "Little did you know, I've been poisoning the candy all along... I'm dangerous no matter where you put me. Heh."

    p dang "Please don't joke about that. It's going to haunt me with every sale we make."

    s reg "Yeah, yeah... since I'm already screwing up your precious shelves, got anything for me to clean instead?"

    p sorry "Thanks to Gumdrop's help, everything's extra clean already! How about I make a list of candies we're running a little low on and you could just go back downstairs to--"

    s dakara "Stop, I get it. Lemme finish this job the way you want me to at least, then I'll be out of your hair."
    show pas patient
    show sy smirk
    with fade
    p "You... actually put everything where it should go! I've never been more proud of you than in this moment, Sy."

    s "See, I can be helpful when I put my mind to it. Still glad you're in charge of all these things instead of me, though."

    p "Haha, let's just say the store would be in deep trouble if we traded jobs. I don't know the first thing about making candy...."

    p hmhm "Um... speaking of candy, I wanted to thank you."

    s yo "What for?"
    show pas patient
    if candyslave:
        p "Even though you abandoned poor Gumdrop, you still went back and saved her from getting totally eaten up by Butterscotch. I think that was pretty nice of you."
    elif foundcandy:
        p "Even though you were completely irresponsible and left poor Gumdrop to fend for herself, you still did the right thing helping me find her."
    else:
        p "Even though you have your issues with anything and everything magical, you're still letting Gumdrop work for us."

    p "I know you didn't like it at first, but now you're letting her stay here! So... thanks!"

    s hmm "Ehh I dunno. You're making it sound like I approve of her now."

    p sad "Sooo you'd still rather she wasn't around...."

    s dakara "In case she's trying to hurt my business, yes, I'd rather not endanger our store. But if she's not, then sorry, I was wrong. Can you really blame me for being suspicious though?"

    p patient "No, of course not. I'm just glad to see that despite everything, you're finally letting someone new into your life!"

    s heh "More accurately she busted in outta nowhere like a giant sugary pest. I didn't think I'd ever be annoyed by candy, but here we are."

    p "Oh, don't say that. She's a golem, that means all she can do is follow orders from her creator."

    s cool "Hmm... and what do you think those orders were? She hasn't stolen from us yet, but she could just be trying to gain our trust before the lethal strike...."

    p worry "...Spending all your time worrying about how someone's going to betray you isn't a very good way to live your life."

    s hmm "True. But I'm keeping my guard up for now."

    p sad "That's no way to make friends...."

    s indifferent "I'm not looking to make any friends. I've already got you, isn't that enough?"

    p worry "Sy, to be honest, I'm tired of watching you scare everyone off with your attitude. I know you're sensitive--"

    s grr2 "I'm not sensitive. YOU'RE sensitive."

    p "This is exactly what I'm talking about, you just--"

    s hmm "Are you hungry? I'm kinda hungry. I'm gonna go bring back some lunch. See ya."
    stop music fadeout 1.0
    hide sy with dissolve
    p dang "Annnd she ran away. She always does...."

label butterscotchvisit:
    scene bg shopext
    show bs ohno at rightb
    show tof nyan at right
    show sy reg at left
    with fade
    play music witchnyan

    b "Oop, she suddenly came out!! Toffee, whadda we do?!"

    s point "Butterscotch. Cat. What are you doing creepily lurking outside my store?"
    $ Butterscotch = _("Butterscotch")
    t hmm "It really hurts my feelings when you don't remember my name, nya."
    show bs at righte, flip with move
    s grr "Don't dodge the question. And don't try to run away!"
    show bs brag at rightb, unflip with move
    b "H-hahaha! Who's running away? This is a public road, we're well within our rights to loiter here!"

    t nyan "We came to see your golem, nya."

    if not nopets:
        b smirk "*Ahem* Toffee told me she's doing quite well in your hands! You know. The golem that I so magnificently crafted."

        s yo "Yep, your little spy is a pretty dilligent worker. Makes it worth keeping her around."

        b drool "I was just here to... check in on her! That's right! See for myself how dilligent she's being at, um, spying... up close!"

        s reg "Unless you're gonna buy something I don't want you in my store."

        b brag "I brought some dosh! I can buy your candy if it means I can check out your--MY golem!"

        s hmm "Whatever, as long as you two behave yourselves."
        jump butterscotchvisit2

    b ohno "Shh, no we didn't! I was just about to come in and show off something incredible I made!"

    t heh "Get ready fur some disappointmeownt."

    b smirk "If you only came along to sandbag me and make your stupid puns, then just go home! I'm really proud of this...."

    b doll "Ta-da~! Her name is Matilda! See, now we BOTH have delicious magical miracles to do our bidding!"

    s heh "...You're joking, right?"

    b "She may not be as big and lifelike as YOUR golem, which I also made, but this one's got twice the charm if you ask me! She doesn't move as much either, but, well...."

    t nyan "Now that you've seen the merits of Meowtilda, I'm sure you can't resist the urge to trade golems with us."

    s smirk "So that's why you're here. To get Gumdrop back. Well, too bad, she's working for me now."

    b mad "That's not fair!! You said it yourself, I'M the one who made her! She's MY! THING!!"

    if candyslave:
        b "And you even replaced all her parts! It's so I can enjoy them all over again, right? Right?!"

        s grr2 "No. I don't want anyone eating her again. It was kinda messed up!"

        b ohno "H-huh? It's just candy...."

    s hmm "Listen, I'm not trading Gumdrop for your dummy candy doll, so quit hanging around here scaring off paying customers."

    t sly "So if we come in and make a purrchase you'll furgive us?"

    s reg "What you do to words is unforgivable."

    t nyan "Meowch."

    b brag "Ah! Sweet Matilda! You've fallen to pieces!! I guess the only option left is to eat you... and then buy some more candy!"

    s dakara "Fine, come in, just don't try to steal Gumdrop while I'm not looking. I don't want to have to walk all the way back to your house to bring her back."

    t "Of course not, that would be candynapping. Nya."

label butterscotchvisit2:
    scene bg shop
    show bs smirk at rightb
    show tof nyan at right
    show sy reg at leftb
    if candyslave:
        show gum worry at left, flip
    else:
        show gum dress at left, flip
    with fade

    if candyslave:
        g "Syrup? Have they returned to taste the new limbs you made for me...?"

        s indifferent "They're just buying some candy. I won't let 'em touch you."

        g "I... I do not like these customers!"

        b ohno "Oof! What's this pain in my chest...? Hearing her say that kind of hurts somehow! Is it a curse? Can she do magic too?!"

        t heh "I think what you're feeling is guilt, nya. Looks like she really didn't appreciate you eating her up before."

        s um "Didn't you say that was your purpose as candy though?"

        g hey2 "I only want to be eaten by Syrup!"

        b mad "Th-that's not fair! I'm sorry if I treated you kinda bad, but why does Syrup get to eat you and I can't?!"

        s grr "I'm not eating her. She's just confused... I think. And now she's traumatized because of you two, so hurry up and buy something so you can leave."
        show gum aw
        b smirk "Tch...! You just want to get rid of us! But fine, whatever."
        hide bs
        hide tof
        with dissolve

        g "...."

        s cool "...Are you okay?"

        g baw "She is not going to eat me... so I am fine."

        s indifferent "If she hurt you it's okay to hate her, y'know?"
    else:
        if nopets:
            g "Oh! It is the witch and kitty cat from before!"
        elif paranoid:
            g "Oh! Syrup brought in customers!"

            t "Greetings, nya. My name is Toffee, and this is my Master, the great and powerful witch, Butterscotch."

            g yayyy2 "I am called Gumdrop! It is a pleasure to make your acquaintance!"
        else:
            g "Oh! It is the kitty cat from before! Who is your friend?" id butterscotchvisit2_3fe6f559

            t "This is my Master, the great and powerful witch, Butterscotch. Be grateful she is gracing you with her presence, nya."

        b drool "Ooh there she is! Such beautiful gummi skin, and oh, if I could just try a bite of that hair...!"

        s oh "You haven't already? That's odd, considering you claim that you made her...."

        b brag "Th-that's because... I had to send her over in flawless condition! I showed a lot of restraint, you know, but it paid off! She's perfect...."

        t heh "Now Master is at her limit. You should let her have a taste before she loses it, nya."

        s reg "Absolutely not. You can have any other candy in here except Gumdrop."
        show bs mad at bounce
        b "How cruel... you just want to keep her all to yourself, don't you? I'll put up with it... for now. Just don't forget who that golem ACTUALLY belongs to! Me!!"

        s "Yeah, yeah, enough whining, just buy something and get out. And don't get any of your gross magic or drool on my stock."

        b drool "My magic isn't gross! And you should take this drool as a compliment! Nyeh!!"

        b smirk "Come on, Toffee, let's blow this popsicle stand."
        stop music fadeout 1.0
        hide bs
        hide tof
        with dissolve

        s hmm "...Next time those two come by we should really just pretend we're closed."

        if gp <= 1:
            g aw "...."
            jump mission

    play music past
    g aw "Syrup? Do you dislike Miss Butterscotch?"
    show sy hmm at lcenter with move
    s "She's a witch."

    g "You dislike witches...?"

    s dakara "Some more than others. Butterscotch is the worst, though. She thinks my alchemy has NOTHING on her magic. Which is totally wrong, of course."

    g "Then why does she buy so much of your candy?"

    s indifferent "Because no matter how hard she tries, her magical candies never taste as good as mine. She probably thinks if she eats enough of them she'll absorb the knowledge."

    g "If she really thought her magic was better I do not think she would support you by buying so many of your candies. You should be nicer to her!"

    s cool "Whether or not she means what she says, it's her ATTITUDE that drives me up the wall. I'm just not capable of being nice to someone like that."

    s "...What do you care anyway?"

    g yay2 "I would like for Syrup to get along with everyone!"
    if candyslave:
        s tch "Even someone who did something that hurt you? Why would you want that, unless you're still taking orders from her?"

        g aw "I do not understand it very well myself, but those are my feelings...."
    else:
        s tch "Is that what your creator wants too? For me to be friends with Butterscotch so she can get free candy from me?"

        g aw "That is not the intention...."
    show pas ready at right with dissolve
    p "Sy, don't give her such a hard time. She's working really hard for us."

    s reg "You were listening?"

    g worry "Master Pastille, I do not think Syrup trusts in me. What should I do?"

    p smile "Don't worry, Gumdrop, once she sees you're a good person I'm sure she'll come around. Right, Sy?"

    s hmm "...We'll see."
    stop music fadeout 1.0

label mission:
    scene bg black
    with dissolve
    $ renpy.notify(_("The next morning..."))
    pause 1
    play music candy
    scene bg lab
    show sy grr at leftc
    show gum dress at rightd, flip
    with dissolve
    s "Gumdrop! What are you doing in my lab?!"
    show gum ooh at right, unflip
    g "Oh, Syrup!"
    show gum yay2 at rightc with move
    g "I am organizing your bookshelf!"

    s "Why? What are you even doing up right now, the store doesn't open for another few hours."

    g "I do not require sleep!"

    s reg "...Anyway, you shouldn't come down here without permission and start moving my things around. I don't like it."

    g "Oh... May I come in and--"

    s um "You already did!! But whatever. I guess it's fine."

    g "Syrup! I have noticed a trend with the books in your personal library!"

    s oh "Oh yeah? What's that?"

    g hey2 "They are all very boring!"

    s hahano "Gee, thanks."

    g dress "Only one book is abnormal. It is the only one with reference to magic."

    s reg "Magic? Throw it out... wait, isn't this...?"

    s proud "Oh yeah... it's an old family cookbook. My grandma wrote it...."

    g yay2 "I am sensing high levels of nostalgia! Syrup's cold heart has been softened by memories from days long past!"

    s heh "Yeah, yeah... See this page here? When I was a kid, making this was my dream."

    scene storybook
    show sb ultimatesweet at left
    with dissolve
    nvl clear
    "{b}The Ultimate Sweet{/b}: A legendary confection said to have only been crafted once before, by the greatest alchemist in the world."

    "Flavor rating: 100 stars.\nShelf life: Eternal."
    nvl clear
    "Those who partake in the sweet are blessed with great fortune. Upon consumption, a temporary enlightened state is attained, and you find yourself crying for reasons you cannot place."

    if renpy.variant("small"):
        nvl clear
    "Obtaining the ingredients for the Ultimate Sweet require both magical talent and mastery of science, making it exceedingly difficult if not utterly impossible for one person to create on their own."
    nvl clear
    scene bg lab
    show sy heh at leftc
    show gum surprise2 at rightc
    with dissolve

    g "\"The Ultimate Sweet\"? Is it yummy?"

    s proud "Only the most delicious thing to ever exist. I used to tell Pastille I was gonna make it one day so that he could taste it."

    s aww "But... like the book says, the main ingredient is impossible to find without magic. I guess I kinda gave up on it."

    g ooh "Master Pastille wanted to eat this...?"

    s indifferent "Yeah, a long time ago. He probably forgot about it by now...."
    show gum yes at rcenter with move
    g "Syrup! We should make it!!"

    s um "Uh, like I said, I had to give up on it. You can't make it without magic, so... I don't want to."

    g mad "But we can ask--Um... I mean... a witch can help us!"

    s hmm "Not happening."

    g worry "You should not give up on your dream! This is our chance to work together and get along even more!!"

    s reg "You're always going on about that... are you obsessed with being friends or something?"

    g yes2 "Precisely!"

    s proud "Alright, candy weirdo. Let's figure out a way to make the Ultimate Sweet... without magic."

    g yayyy2 "Good! And while Master Pastille eats it, you can eat me!"

    s heh "I've said it a thousand times, I'm NOT eating you."

    g aw "Disappointment...."

    s "Come on, then. We'll need to do some research before we go out gathering ingredients."
    stop music fadeout 1.0
    scene bg black with dissolve

label libraryvisit:
    $ save_name = _("Choco Library")
    play music title
    scene bg library
    show gum dress at leftb, flip
    show sy yo at left
    with dissolve
    $ renpy.notify(_("Choco Library"))
    s "Alright, keep an eye out for any encyclopedias about plants...."
    show choco hello at right with dissolve
    d "Candy Alchemist, what a surprise!"

    m "And you brought your new assistant! To what do we owe the pleasure?"

    if salesman:
        d "Perhaps you've come to sell your golem to us against your friend's wishes?"

        g aw "Syrup... say it is not so!"

        s "Actually I didn't expect to run into you here. So, no."

        m "You didn't expect it? Our family owns this library, dear."
    else:
        g "It is the well-dressed twins from yesterday! Are you also looking for books?"

        d "No, my dear, our family owns this library."

        s indifferent "Really? Huh."

    d "You ought to have known that. Certainly you've lived here long enough by now!"
    show flowermagic
    m flowers "We're always dillydallying, so if you're looking for something in particular, allow us to direct you to the proper shelves!"

    s reg "How convenient. We need information on a certain plant, so if you could help speed up the process, we'd appreciate it."

    d "Glad to be of assistance, Candy Alchemist. We look forward to tasting whatever it is you're synthesizing!"
    hide choco
    show sy reg at leftb
    show gum ooh at rightb, unflip
    with fade
    g "All of the plants in this book look so interesting! I would like to see some of them in person one day...."

    s "It's got stuff from all over the world... we'd have to travel pretty far to even see half of these."

    g yayyy2 "Traveling with Syrup! We would definitely become great friends if we went on a long journey together!"

    s proud "Hopefully for this thing we won't have to go too far."

    s oh "Oh, this page! This is exactly what we need!"

    scene storybook
    show sb creamilla at left
    with dissolve
    nvl clear
    "{b}Frosted Creamilla{/b}: a rare species of vanilla orchid that miraculously thrives in frozen environments."
    if renpy.variant("small"):
        nvl clear
    "This magical plant will melt into ordinary water when removed from colder climates, but its fruit can last up to three days depending on storage temperature."

    "Because it inexplicably grows from cryotic soil, it is believed by some cultures to be born from the tears of an ice goddess."
    nvl clear

    scene bg library
    show sy cool at leftb
    show gum ooh at rightb
    with dissolve
    s "According to this, we should be able to find it on Mount Sorbet, but..."

    g "But?"

    s hmm "It's impossible. We'd definitely need magic to even have a chance at finding it."

    g yay2 "So we will ask a witch to help us! I am sure Miss Butterscotch would--"

    s reg "Absolutely not."

    g worry "Then... how do you plan to get the final ingredient?"

    s dakara "*sigh* Look, it's not gonna happen. That mountain is home to a ton of monstrous beasts, and it's freezing cold. I'd probably die if I went on my own."

    g yes2 "I shall accompany you, Syrup!"

    s tch "You wouldn't be able to move in those temperatures. You're made out of candy, remember?"

    g yayyy2 "I'll be fine if you keep me warm! Just put me in your mouth and--"
    stop music fadeout 1.0
    s hmm "Stop. We're not going."

    g aw "...."

    s "Who would ever go to such crazy extents just to make some special dessert? Kind of a waste of effort if you ask me."

    g mad "You're right, Syrup. It IS silly. Let's quit."

    s aww "Are you... angry?"

    g "Nope! Master Pastille will not even know that he missed anything. It really was just a waste of time."
    hide gum
    with dissolve
    s "Gumdrop...."
    scene storybook
    show sb homealone at left
    with fade
    play music evils
    nvl clear
    "Absorbed in thought, Syrup takes her time returning home."

    "Was it worth it to deny her friend what would surely be the most delicious treat in the world, just to hang on to her stubborn pride?"

    "She had never thought about it before. Asking a witch for help seemed impossible for a variety of reasons."

    "But soon, she might just have to...."
    nvl clear

label missingcandy:
    scene bg shop
    show sy hmm at leftc
    show pas smile at rightc
    with fade
    $ save_name = _("Atelier Sweets")
    $ renpy.notify(_("Atelier Sweets"))

    p "Oh, Sy! Where have you been all morning?"

    s "Out."

    p "Fair enough. If you see Gumdrop, could you ask her to run the register for a while? Business has been picking up, so I actually need the help."

    s reg "...She isn't here?"

    p worry "Uh, I thought she was with you."

    if foundcandy:
        p "You didn't lose her again, did you...?"

    s um "No, I... I might know where she went. Just keep working, don't worry about it. I'll be back."
    stop music fadeout 1.0
    hide sy with dissolve
    p heh "...Not like I have any other choice. Oh well."

    scene bg cottage
    with fade
    $ save_name = _("Butterscotch's Cottage")
    $ renpy.notify(_("Butterscotch's Cottage"))
    play music witchnyan
    pause 1
    scene bg cottageint
    show sy reg at left
    show bs smirk at rightb
    show tof nyan at right
    with dissolve
    t "Meowow, it's the Candy Alchemist again."

    s tch "I need your help. You're the only people I can ask... I don't want Pastille to know anything about this."

    b shock "O-oh, what is it, something serious? Need to bury a body?"

    s dakara "No. Gumdrop ran off, I think she went to Mount Sorbet to get a rare ingredient for this thing she wants to make... whatever, you guys don't need to know the details."

    t "Ah, so that's where she was going. I saw her pass by and wondered, nya."

    s grr "What? Why didn't you stop her?"

    t sly "I greeted her, but that girl was on a mission. She barely even told me where she was padding off to, she just pointed to the meowntain and said \"That way!\""

    t heh "You should know I have a pawlicy of never asking too many questions. Curiosity only leads to trouble for folks like me."

    s cool "Useless cat... at least that confirms she was definitely going in that direction. I wonder how far she got...."

    b ohno "D'you think something bad happened to her? What if she got eaten along the way?"
    if candyslave:
        s reg "You're the only one who did that to her."

        b "W-well...."

    s hmm "If it's too cold, she won't be able to move. And if she doesn't come home, Pastille will get all upset and probably blame me for it."

    s aww "She wants me to make this special recipe for him, and if he knew she was only trying to get the last ingredient because I said I wouldn't go, well... I guess I'd blame me too."

    b brag "Say no more! I'll help you find dear sweet Gumdrop."

    b drool "...But only if you give me a taste of whatever it is you're planning on making!"

    menu:
        "Let her help":
            $ bp += 1
        "This was a terrible idea":
            s hmm "I suddenly don't feel like it. Maybe I'll risk going alone..."

            b ohno "N-No way! I'm way too invested in this idea now, you have to let me come along!!"

    s frick "Ugh... fine. I need magic anyway, so I might as well use you. One taste. That's it."

    b smirk "We'll negotiate the terms later, let's go get your candy back!"

    s oh "What about you, cat? Feel like climbing a mountain with us?"

    t nyan "Nyo thanks. That place is all snow and dogs, I can hardly stand the thought of it. I'm a citydweller at heart, nya."

    b "Just wait right here for us, Toffee. We'll be back before you know it!"
    hide sy
    hide bs
    with dissolve
    t tsun "Be safe... nya."
    stop music fadeout 1.0

label adventure:
    scene bg mountain
    with fade
    $ save_name = _("Mount Sorbet")
    $ renpy.notify(_("Mount Sorbet"))
    play music sorbet
    pause 1
    show sy cold at left
    show bs smirk at right
    with dissolve
    s cold "I. HATE. The cold."

    b brag "It's not that bad! But I guess it's different for someone who's not protected by magic! Heeheehee!"

    s "How about I bury you in the snow to see what your magical protection does against that?"

    b smirk "Oh my dear Candy Alchemist, aren't we supposed to be partners on this little quest? You can't talk that way to a party member! Let's just get along!"

    s coldsass "Ugh. Not you, too...."

    b "...?"

    s "Gumdrop's always insisting she wants to get along with me. Why do I need to get along with anyone? Why can't I just do things my own way without annoying people trying to befriend me?"

    b ohno "A-annoying?!"

    b brag "*Ahem* I didn't say we should be friends, I just think it'd be best if we cooperate!"

    s coldsmirk "Fair enough. This place can be pretty dangerous. I've read there's ferocious wolves that'll gang up on you and rip you to shreds."

    b ohno "W-wolves? I-I-I'm not afraid of any wolves!"

    s "How about a whole pack? Do you think you could take 'em out with your magic?"
    show bs freakinout at tremble
    b "E-e-easily!"

    s "Oh, really? You're trembling."

    b "Th-that's just because of the c-c-cold!"

    s coldhey "Hey, what's that ahead?"
    show bs freakinout at tremble2
    b "I-IS IT A WOLF? A MONSTER? SYRUP, DO SOMETHING!!"

    s "...I think we found Gumdrop."
    show bs freakinout at reset with None
    show gum frozen at rightc
    show sy coldsass at leftb
    show bs shock at lefte, flip
    with fade
    s "She's completely frozen. I wonder if she's conscious right now...?"

    s "Hey, candy idiot. I told you this would happen if you came up here. You're lucky we found you."

    show treat at right with dissolve
    tr "So someone WAS looking for her...."
    show bs freakinout at leftd with vpunch
    b "W-W-W-W-W-W-W-WOLF!!!!!!"

    s coldstop "Butterscotch, you're being rude."
    show bs ohno
    tr "I've been watching this golem for a while now wondering if anyone would show up to fetch her."

    s coldhey "Huh. You live around here?"

    tr "*nod*"

    s "We actually came to find a special plant, do you think you could take her to your house to thaw while we go get it? I promise we won't be too long."

    b "Psst, Syrup, what if she eats her?"

    if candyslave:
        s coldsass "What, like you did?"

        b "Th-that's different!"

    s coldhey "Dogs don't really have a sweet tooth. Right?"

    tr meh "I prefer meat."

    s coldyeah "See? Nothing to worry about. This way's a lot more convenient than taking her aaall the way home and then having to hike aaall the way back up here for one little plant."
    show treat
    tr "I don't mind taking her in. Seeing her frozen in place for so long was kind of sad."

    b hey "We don't even know who you are, why should we trust you with something as valuable as LIVING CANDY?"

    tr "Treat."

    b shock "H-huh?"
    $ Treat = _("Treat")
    tr "It's my name. Now we're acquainted."

    s coldsass "Alright Butterscotch, do you have any other problems, or can we get going now?"

    b brag "No, no! Glad that's all settled! Let's go find your rare ingredient whatever-it-was and go home!!"
    hide bs with dissolve
    s coldstop "...Sorry. She's more of a cat person."

    tr aw "Syrup, right? I smell a pretty powerful spell on that witch... is she really okay to be up here wasting that much magic?"

    s coldhey "...A spell? I don't know what you're talking about."

    tr "I guess ordinary humans can't sense that kind of thing... it's plain as day to me."
    show treat
    tr "Anyway, it smells like something useless. Tell her to concentrate on survival... I want to be able to return your golem later."

    s "Sure... thanks."
    scene storybook
    show sb climb at left
    with fade
    nvl clear
    "After receiving directions from Treat, the pair continues up the mountain."

    "Syrup felt at ease knowing Gumdrop was safe, but Butterscotch seemed to be having a rough time..."

    "Things only got worse as they ran into trouble."
    nvl clear
    scene bg snow
    show bs coldfreakinout at leftb, flip
    show sy cold at left
    show wolf at rightd
    with dissolve
    w "*MENACING GROWL*"

    b "AH!! A R-R-REAL WOLF!!!"

    s coldscared "What are you doing?! Scare it off with your magic!!"
    show glowymagic:
        xpos 510
        ypos 300
    b magics "O-oh, uh, t-t-take this, monster!!"
    show glowymagic at shoot
    $ Wolf = _("Pink Wolf?")
    pause .2
    show flash
    w pink "Woof!!"

    s "You... turned it pink?"

    b cold "That was supposed to be a f-f-fireball!! I-I don't know what happened!!"

    hide wolf with moveoutright

    s coldstop "Either way, I guess it worked. Lucky break?"

    b pathetic "...."

    s coldhey "Butterscotch? You wouldn't happen to have like... a curse on you or anything, right?"

    b cold "R-rude. I am NOT c-c-c-cursed. I'm completely f-f-fine, I just... lost focus and messed up, i-it happens to everyone...!"

    s "Your teeth are chattering. What happened to your magic protection against the cold?"
    show bs coldmad at center, bounce, unflip
    b "It's!! W-w-windy!! And m-maybe I'm not as s-s-strong as I th-thought! Are you h-h-happy?!"

    menu:
        "Offer her your coat":
            $ bp += 1
            $ gentlelady = True
            s "Uh... do you want my coat?"

            b cold "Wh-wh-what, n-no, you need it, d-don't you?"

            s coldsmirk "I can make a sacrifice if it means you'll talk normally again."

            b coldpathetic "...."
            scene bg black with dissolve
            scene bg snow
            show bs warmeheh at center
            show sy colderyeah at left
            with dissolve
            b "Thanks... you're not as m-mean as I thought."
        "She can deal":
            s coldsmirk "You should've dressed for the weather. This is what happens when you get overconfident."

            b "Sh-sh-shut up! I'll make it. You n-need me for this, r-right?"

    $ Wolf = _("Pack of wolves")
    show wolf pink2 at right
    show wolf at righte as wolf2
    with moveinright
    w "GRRR!!!!"
    if gentlelady:
        show bs warmscared at leftb, flip
    else:
        show bs coldfreakinout at leftb, flip
    b "It came back with more?!" with vpunch

    s hey "Time to go."
    stop music fadeout 1.0
    hide bs
    hide sy
    with moveoutleft
    hide wolf
    hide wolf2
    with moveoutleft
    scene bg black with dissolve
    scene storybook
    if gentlelady:
        show sb escape2 at left
    else:
        show sb escape at left
    with dissolve

label thecave:
    play music evils
    nvl clear
    "Syrup and Butterscotch escape into a frozen cave. The witch hastily seals the entrance with ice, forcing the wolves to abandon their chase."

    "Exhausted, the pair takes a well-deserved rest."
    nvl clear
    scene bg icecave
    show sy hey at left
    show bs base at right
    with fade
    $ renpy.notify(_("Iced Cavern"))
    s "...Hey. You alright?"

    b tch "No! This is awful!! I should've stayed home with Toffee where it's safe and warm!!"

    s yeah "Well, at least we should be able to find what we're looking for in here. This is the exact environment Frosted Creamilla thrives in...."

    s "You can just chill here if you want. I'm going further in."
    hide sy
    with moveoutleft
    b grr "How dare you make a joke in a time like this... you're as bad as Toffee."

    b "......"

    b base "Syrup, wait!! Don't leave me alone!!!!"
    hide bs
    with moveoutleft

    scene bg icecave2
    with fade
    show sy hey at left
    with dissolve

    s "Woah... yep, found it."
    show bs base at right with dissolve
    b "J-jerk... how could you leave me behind like that... oh, is that what we came for?"

    s yeah "Yeah, I just need to grab some of the fruit and we can go home."

    b grr "Good. Grab a ton so we never have to come back."

    menu:
        "Take all you can carry":
            s sstop "Yeah, I definitely never want to go on another trip like this with you, so I might as well make this one worth the effort...."

            b "...."
        "Take only what you need":
            $ bp += 1
            s "I don't have a use for this many. And if I need more, we've got experience now. It won't be nearly as much trouble for us a second time, right?"

            b pathetic "You'd want to go through all this again...?"

            s "I don't know, I think we made an alright team."

            b "B-but all I did was mess up!"

            s "We got what we came for, didn't we? Now let's get out of here."

    if gentlelady:
        b pathetic "U-um... hey, you look really cold. You should take your jacket back."

        s hey "Huh? Nah, don't worry about me. You're smaller, you need all the warmth you can get."

        b "I-I don't feel right hogging it! It's YOUR jacket, so...! J-just take it back already!!"

        s sstop "If you insist...."

label trapped:
    scene bg icecave
    show sy coldyeah at left
    show bs coldpathetic at right
    with fade

    s "Alright, magic the ice away so we can get out of here."
    show glowymagic:
        xpos 680
        ypos 300
    b castin "Right... take this!!"
    show glowymagic at misfire
    b "...."

    s coldhey "Uhh...? Nothing's happening. Quit messing around and break the ice."
    hide glowymagic
    b coldpathetic "Wh-what if the wolves are still there?"

    s "I don't hear them or see their shadows. We should be fine."
    show glowymagic:
        xpos 680
        ypos 300
    b castin "R-right... okay for real this time... hyaah!!"
    show glowymagic at misfire
    b "......"
    hide glowymagic
    s coldsass "...Is something wrong?"

    b coldtch "I'm just... stressed out! So my magic's not working right! Shut up!!"

    s "Sooo we're trapped in here?"
    show glowymagic:
        xpos 680
        ypos 300
    b magics "N-no, we're not trapped, I'm a GREAT witch, it's just this stupid spell doesn't want to happen!! Aaargh!!!!"
    show flash
    hide glowymagic
    b "......"

    b coldeheh "...Okay, we're a little trapped... haha...."

    s coldhey "Magic is connected to your state of mind, right? Try to calm down."
    show bs coldmad at bounce
    b "CALM? I'M CALM AS FRICK!!"

    s coldsass "Butterscotch."

    b "EVERYTHING'S UNDER CONTROL!! MY EMOTIONS ARE COMPLETELY IN CHECK, SO MY MAGIC SHOULD BE WORKING JUST FINE!!"

    s coldyell "BUTTERSCOTCH!!"

    b coldgrr "...What?"

    s coldhey "Talk to me. What's wrong?"

    b coldtears "I don't know!! It's cold... what if I can't get us out of here.. are we gonna die because of me?"

    s coldcomfort "No. You're a great witch, remember? We'll make it."

    b "B-but I can't even get this spell to work... sealing the cave was an accident in the first place, I panicked and it just...."

    s "Hey, you'll get it, you've got talent. If you could make Gumdrop, you can melt ice. So just take a deep breath and try again."

    b "...I didn't...."

    s coldhuh "Hm?"

    b "I didn't make Gumdrop... I don't know who did, I just took the credit to make myself look better! So, sorry, you thought wrong!!"

    s coldhmm"...."
    show bs coldmad at bounce
    b "Stupid!! Ice!! Stupid!! Wall!!!! Stupid!! STUPID!!!!"
    show white with Dissolve(.3)
    b madchub "GRRRAAAAAHHH!!!!!!" with vpunch
    show bs madchub
    hide white with Dissolve(2)
    pause .5

    s coldhuh "Butterscotch? Is your magic still going haywire, because... you look different."

    b chub "What? I-I... oh... m-my spell came undone..."

    b shychub "Don't look at me!!" with vpunch

    s "...?"

    b "Th-this body is just an illusion! It's not the real me!! Ugh, that's not very convincing...."

    s coldstop "So this is what she meant... That wolf girl from before told me you were wasting all your magic with some useless spell...."

    b chub "It's not useless! I-I need it... I can't let anyone except Toffee see me this way!! Please don't tell anyone...."

    s coldhmm "...Why do you hide behind a transformation all the time?"

    b shychub "People don't take you seriously when you look like I do! I want to be a beautiful, fearsome witch that everyone admires, but instead I'm... I-I'm...."

    s "You're...?"

    b madchub "EVERYTHING ABOUT ME IS FAKE, ALRIGHT?! I'M ALWAYS LYING TO EVERYONE, I'M BARELY ANY GOOD WITH MAGIC, AND I CAN'T EVEN BEAR TO LET ANYONE SEE WHAT I REALLY LOOK LIKE!" with vpunch

    b "AND NOW WE'RE GONNA DIE BECAUSE I'M A BIG FAT COWARD WHO COULD NEVER TELL YOU THE TRUTH, ARE YOU HAPPY??"

    s coldthought "...."

    b chub "Well? S-say something! Aren't you gonna yell at me? Don't you hate me?"

    menu:
        "I don't hate you.":
            $ bp += 2
            jump hearttoheart

        "Yeah, I hate you.":
            s "I have nothing to say to you."

            b "...."
            jump thingsgonesour

label thingsgonesour:
    scene bg icecave
    show bs chub at right
    with fade
    pause 1
    show sy coldsass at left with moveinleft
    s "...."

    b "...W-was there any other way out...?"

    s "Do you think I would've come back if there was?"

    b "...."

    s coldyell "I can't believe you'd lie about literally everything just to make yourself look better! I should never have trusted you to come all the way here with me!!"

    b chubtears "...I'm sorry...."

    s "Yeah, you'd better be sorry! We're gonna die here all because you're too unstable to break us out!!"
    show bs madchub at bounce
    b "I'm not happy about it either! Yelling at me isn't gonna make my magic suddenly work, you know!!"

    s coldthought "...Whatever."
    stop music fadeout 1.0
    scene storybook2
    show sb frozen at left
    with dissolve
    nvl clear
    n2 "The air only seemed to get colder and colder in that cavern. Unable to reconcile their differences, the pair sat across from each other in silence."

    if pp >= 1 and gp >= 2 and not candyslave:
        n2 "Hours passed, and it was becoming difficult to stay conscious. But just before the two of them drifted off to sleep, they heard some faint, yet familiar voices just beyond the wall of ice..."
        nvl clear
        jump saved
    n2 "Butterscotch was never able to melt the ice away, and eventually, the two of them succumbed to the cold."
    nvl clear
    n2 "FROZEN END"
    $ persistent.endclear = True
    $ persistent.frozenend = True
    nvl clear
    return

label saved:
    scene bg black with dissolve
    play music sorbet
    tr "The trail ends here... at this suspicious-looking ice formation."

    p "Which means we've found them, right?"

    tr "If they're behind this thing... it might take some time to break through."

    p "Don't worry. I'll take care of that."

    tr "Oh. I didn't realize you're...."
    $ save_name = _("Treat's Cabin")
    scene bg cabin
    with fade
    $ renpy.notify(_("Treat's Cabin"))
    pause 1
    show sy colderstop at left with dissolve
    s "...What happened...?"
    show gum dress at right with moveinright
    g "Syrup has awoken! Thank goodness!!"
    show gum dress at leftb with move
    show pas coldpatient at rightb
    show treat at right
    with moveinright
    p "Glad to see you're still alive. Promise me you'll never go off and do something this dangerous again?"

    s colderawkward "Wha... how'd you know where to find me?"

    g nooo "As soon as I was able to move again I rushed straight home to Master Pastille to inform him of your mission with Butterscotch!"

    g "I am so sorry I could not keep the secret, but it was only because I was very worried you might end up frozen like I had been! I did not want that to happen to you!!"

    p "It's a good thing she was in such a hurry, too. We almost didn't find you two in time."

    tr aw "I warned you about the witch... you should've been more careful."

    g dress "What matters is that Syrup is no longer unmoving! I can tell you that being frozen solid is very uncomfortable."

    p cold "It's not as threatening for you, though. No matter how long you freeze for, you'll be fine when you thaw out again. Humans don't have that advantage."

    g worry "That is a very scary thought! Getting along with Syrup would be very tough if she could not come back from being frozen...."

    p "You're right. I'm really thankful you were in such a hurry to come get me. Good work, Gumdrop."

    g yayyy2 "Master Pastille is the one to thank! Along with Miss Treat for being so helpful!"

    tr "...Please don't put \"Miss\" in front of my name."

    s colderstop "Hold on a second. I've got a question."

    p coldpatient "...What is it?"

    s colderhey "I'm pretty sure that wall of ice would've taken way too long to break through normally. So... how'd you do it?"

    p coldnervous "O-oh, we managed, somehow. Now you get some rest! We'll make you some soup, and once you're feeling up to it we can head back. Alright?"

    s coldersmile "Yeah... sure."
    scene bg cabin
    show sy colderawkward at left
    show bs chub at right
    with fade

    b "...."

    s "...Hey."

    b chubtears "H-hey... I'm sorry... It's my fault we almost... I mean, if not for your friends...."

    menu:
        "...It's okay.":
            $ forgiven = True
            $ bp += 1
            s "Don't worry about it. I want to apologize, too. For lashing out back there...."

            b awchub "I-I understand! I would've been mad at me too! You don't need to apologize for anything, I'm the one who messed up."

            s "Yeah, well... it all worked out in the end. Let's call it even and forget it ever happened, 'kay?"

            b happychub "Okay!!"

            scene storybook
            show sb byetreat at left
            with dissolve
            "As soon as Syrup felt up to it, everyone said goodbye to Treat and made their way home."

            "Pastille heads back to the store on his own after Syrup decides to return Butterscotch to her cottage, followed by a very insistent Gumdrop."
            nvl clear
            jump backhome
        "I still hate you.":
            stop music fadeout 1.0
            s colderhey "I won't forgive you. You're still the worst for nearly letting the both of us die."

            b "......"
            hide bs with moveoutright
            s colderstop "... *cough* *cough*"
            show gum aw at center with moveinright
            g "Syrup? Oh no, are you sick?"

            s "Just... let me sleep it off...."
            scene storybook2
            show sb worstend at left
            with fade
            nvl clear
            n2 "The spiteful alchemist closed her eyes, becoming suddenly aware of her intense fever."

            n2 "Her skin felt hot, but there was a frigid emptiness in her chest. Perhaps the cold had frozen her heart?"

            n2 "Soon she fell into a deep slumber, never to awaken again."
            nvl clear
            n2 "WORST END"
            $ persistent.endclear = True
            $ persistent.worstend = True
            nvl clear
            return

label hearttoheart:
    stop music fadeout 1.0
    s coldhey "I don't hate you at all, Butterscotch. I never have."

    b wehchub "Wh... what are you saying?"
    play music past
    s coldhmm "Sometimes I wonder why we're always fighting, and I guess it's because that's the way we are... but it's not like I ever actually hated you."

    b shychub "You're lying."

    s coldstop "Why would I lie? There's no point, since we'll both be dead soon enough. Unless we figure a way outta here, that is."

    b chub "But... I mean... I thought you hated anyone who can do magic. You do, don't you?"

    s coldhey "That's not it... I just... I think that being able to do things without magic takes an incredible understanding of the world and its elements. And that's awesome."

    s coldsass "So when it feels like no one else sees that, I get frustrated! Maybe I don't trust magic users in general... but still, no. I've never hated you just for being a witch."

    b "...."

    s coldhey "What? Why are you staring at me like that?"

    b wehchub "...Aren't you at least gonna make fun of me? F-for looking like this?"

    s "Why should anyone care what you look like? It's not their business. You're not hurting anyone, so who cares?"

    b shychub "Y-you just don't get it, everyone thinks you're cool and you don't even have to try! You don't know what it's like--"

    s coldhmm "Hey, I try hard to be taken seriously too. Everyone sees my alchemy as a gimmick. It's like I'm doing cheap tricks compared to anyone else in that town full of magic users."

    b chub "W-well anyone can make decent candy with magic, but... yours taste the best...."

    s coldyeah "Of course they do. I'm a genius when it comes to candy making."

    b awchub "Jeez... You're so confident...."

    s coldcomfort "I have to be. Otherwise I'd just give up and do something boring with my life instead."

    b "...Hey, remember the day we first met? When I came into your store to make fun of how bad your alchemy would make candy taste, but then you forced me to try a piece...."

    s "And you were so impressed that you begged me to teach you how to make them. But I was still mad so I refused, and you declared us rivals. Yeah, I remember."

    b "Hah... I just think, maybe if not for our big egos, we could've become friends sooner...."

    s "Mm. Yeah, maybe."

    b happychub "Thanks, Syrup... I feel a lot better. My magic might work now, so... I'm gonna give it another shot!"
    scene storybook
    show sb happyreturn at left
    with dissolve
    nvl clear
    "With her mind at ease, Butterscotch is finally able to focus and melt away the wall of ice that had trapped the pair in the cavern."

    "They make their way back down the mountain without incident, to an unfrozen and very relieved Gumdrop."

    "Eager to get working on the Ultimate Sweet, they promptly return Butterscotch to her cottage."
    nvl clear

label backhome:
    stop music fadeout 1.0
    scene bg cottageint
    show bs happychub at leftb, flip
    show sy proud at left
    show tof help at right
    with fade
    play music witchnyan
    $ save_name = _("Butterscotch's Cottage")
    $ renpy.notify(_("Butterscotch's Cottage"))
    show bs at rcenter with move
    b "Toffee, I'm home! Our mission was a success!"

    t "Master!! Oh, your spell...."

    b "I know, don't worry. It's a long story, I'll tell you later."

    t fret "You have dog scent on you. Those wolves didn't give you any trouble, did they? Nyaaah I shoulda went with you, I was just being a scaredy cat...!"

    b "Aww, hey, it went just fine, calm your whiskers... You were worried about me?"

    t "Why wouldn't I be? You went on a dangerous mission with your greatest rival. A lot coulda gone wrong! ...Nya."

    s heh "Guess we probably shouldn't say anything about almost freezing to death, then."
    show tof myow at tremble2
    t "Wh-?! Wha-?!?!!"

    if forgiven:
        b ehehchub "Y-yeah well, everything turned out okay! Don't worry about it!"
    else:
        b ehehchub "SH-SHE'S JOKING, SHE'S JOKING!!"

    s indifferent "Anyway, I shouldn't keep Gumdrop waiting outside. See ya."
    scene bg nightcottage
    show sy cool at leftb
    with fade
    show bs chub at rightc with dissolve

    b "Hey, before you go... There's one more thing I should tell you about... Promise you won't hate me?"

    s oh "...Yeah, I promise."

    b "........ O-okay... I...."

    b takeit "I'vebeenusingthiscrystalballtospyonyourlabsometimes!!! I'm really sorry!!!!" with vpunch

    s grr "Wh-what?!"

    b "Here! Take it! I won't use it anymore!! I know it was bad, but I wanted to try to learn how you make candy so I could do it myself!!"

    b "But your science is just too confusing and I couldn't figure it out at all so it was all for nothing, I'm really, really sorry!!"
    show bs chub
    s crystalball "Uh... thanks for telling me, I guess...."

    b "You don't hate me?"

    s indifferent "I said I wouldn't."

    b bawchub "Phew. I wasn't sure how you'd take it. I thought you'd be a lot madder."

    s proud "Well... we did just get back from a near-death experience. The fact that you've been spying on me seems kinda inconsequential after that."

    b chub "Y-yeah... but there's this one night recorded on there... I think you'll probably wanna see it."

    s yo "...And what night is that? What happened?"

    b "Just watch it later when you get the chance. It's important."

    s "Oookay?"
    show gum dress at left, flip with moveinleft
    g "Syrup! Are you ready to return home and finish the Ultimate Sweet?"

    s indifferent "Yeah. Sorry to keep you waiting. Later, Butterscotch."

    b happychub "Don't forget to bring me some when it's done! I won't forgive you if I don't get to taste it!!"
    stop music fadeout 1.0
    scene bg black with dissolve

label missioncomplete:
    $ save_name = _("Atelier Sweets")
    play music candy
    scene bg shop
    show gum dress at leftb, flip
    show sy proud at left
    if forgiven:
        show pas smile at rightc
    else:
        show pas worry at rightc
    with dissolve
    $ renpy.notify(_("Atelier Sweets"))

    s "Hey, we're back."

    if forgiven:
        p "Welcome home! Considering everything that happened, I've gotta insist you take it easy tonight."

        s "No can do, Pastille. There's a reason I risked my life today, and I'm gonna see to it that this special treat gets made!"

        p patient "Ah, Gumdrop never told me what it was exactly you two were after... only that it was something important."

        g hey2 "It is Syrup's to present to you, Master Pastille! Out of respect, I could not dare to ruin the surprise!"

        p "Alright, alright... just remember not to push yourself too hard. Go to bed at a reasonable time!"
    else:
        p "It's late! I was starting to get really worried!!"

        g "I am sorry to have worried you, Master Pastille! But we are working on a top secret surprise, so we will tell you all about our adventure when it is finished!"

        p smile "A surprise? Okay then, I'll hold off on asking where you've been all day."

        s "We'll be downstairs, so don't come in until we've finished working, alright?"

        p patient "So the surprise is a special treat... I should've guessed! Just try not to stay up all night. I know how you get when you're working on something big."

    s heh "I don't need you giving me a bedtime, I'll sleep when it's done!"

    g yayyy2 "Syrup's enthusiasm for desserts is unmatched! Let us begin our work!!"
label makethething:
    scene storybook
    if candyslave:
        show sb working2 at left
    else:
        show sb working at left
    with dissolve
    nvl clear
    "Syrup and Gumdrop retreat to the basement, spending hour after hour preparing the Ultimate Sweet."

    "Finally, all that's left is to let it chill overnight..."
    nvl clear
    scene bg lab
    show sy proud at leftc
    show gum dress at rightc
    with fade
    s "...We did good, Gumdrop. Thanks for all your help."

    g yayyy2 "I am glad I could be of assistance! I cannot wait for Master Pastille to try it!"

    s heh "Yeah, me too. You stay here and keep an eye on this thing, I'm gonna go pass out."

    g yes2 "Roger that! I will see you in the morning!"
    stop music fadeout 1.0
    scene bg nightshop
    show sy crystalball at center
    with fade
    s "...Now's a good chance to watch whatever's on this thing...."

    menu:
        "Look into the crystal ball":
            s "Let's see what Butterscotch wanted to show me...."
            scene bg black with dissolve
            jump creation
        "Forget it":
            $ forgotit = True
            s hmm "...It doesn't matter. I think I know what it might be... and I don't need to see it."

            s proud "What I really need is some sleep. Goodnight, store."
            scene storybook
            show sb sleep at left
            with dissolve
            nvl clear
            "Syrup had no trouble at all falling asleep that night."

            "Whatever was on the crystal ball, she decided, wasn't important to her."

            "The only thing that mattered now was the Ultimate Sweet."
            nvl clear
            jump ultimatesweet

label creation:
    play music past
    scene bg lab
    show pas worry at leftb, flip
    show gum shutdown at rightb
    show pastfilter
    with dissolve
    p "That should be it... did it work? Are you alive now...?"

    g "...."

    p sad "Maybe I messed up the spell...."

    g doll "...Hello, Master. What is your command?"

    p smile "Oh! You're working!! I-I did it!!"

    g "Please issue a command."

    p sorry "Right, right--Uhh, I didn't think this through... what's the best way to explain...."

    p patient "Okay, I have this friend... she's not very sociable and has kind of a thing against magic, so it's really hard for her to make friends here..."

    g "Please issue a command."

    p "Yes, sorry--I guess what I'm asking is... if maybe you could try...? Even though you're made from magic, you're also candy, so it should be okay... I think."

    g "Unable to process. Please state your command clearly."

    p sorry "Ahh I really should've thought this through better, uhh... please try to get along with my friend Syrup!"

    g "Unable to process. Please provide instructions on how to \"get along.\""

    p smile "Well first of all, the way you talk is really unnatural. Try speaking more casually... y'know, be friendly!"

    g friendlier "...How is this?"

    p "Better! Keep talking."

    g umm "Um... I still do not understand what you want me to do, Master. It sounds too complicated!"

    p patient "I'm sorry... I know golems aren't usually used for things like this, but I didn't have much of a choice. My friend hates talking to magic users..."

    p "Speaking of which, she absolutely cannot know that I made you. She still thinks I'm just like her and can't use magic."

    g happy "Okay. I will work hard!"

    p smile "Right now I think you're doing great! Just keep acting like a regular person and you'll be friends with her in no time."

    g friendlier "Acting like...?"

    p "Yeah! Even though you're made out of candy, it feels like I'm talking to a real human. Just keep being yourself!"

    g "Be... myself...."

    p patient "Yep! Consider that to be your main objective. Hopefully it's simple enough...."

    g lost "Act... human... but I am... candy...."

    p "...?"

    g "Be myself... act like a person... I am candy... but act...."

    p sorry "Whoops... maybe it WAS too complicated...."
    show gum broken at tremble
    g "{cps=90}BecandyactlikemyselfpersoncandybeIamactlikepersoncandyact personlikecandybemyselfcandyactlikemyselfpersoncandybeIam actlikepersoncandyactpersonlikecandybemyself....{/cps}{nw}"
    show gum broken at rightb, reset
    show glowymagic:
        xpos 505
        ypos 24
    p wahh "Ahh, stop!!" with vpunch
    show glowymagic at disappear
    g shutdown "...."
    hide glowymagic
    p worry "...Did I break you?"

    g "...."

    p dang "Looks like I messed it up again. This one seemed so promising... I'd probably have better luck getting Sy to talk to other magic users than getting a golem to work right."

    p sad "This is a lot of candy to go to waste though... I guess I'll take it apart and...."

    g "...."

    p "But... this one actually talked to me... She was sentient."

    p worry "Hey, if I give up now... would it be like I killed you...?"

    g "...."

    p ready "Ahhh I won't give up on you! I won't give up on Syrup either! You're going to be friends somehow, I swear it!!"

    if gp >= 4 and not candyslave:
        jump lonelygumdrop
    else:
        stop music fadeout 1.0
        jump afterwards

label lonelygumdrop:
    scene bg nightshop
    show sy crystalball at leftb
    with fade

    s "...."
    show gum ooh at rightb
    with dissolve
    g "Syrup is still awake! It was very lonely down there so I... What is that you are holding?"

    s "Pastille made you...?"

    g surprise2 "H-huh?"
    show gum nooo at bounce
    g "No! You absolutely cannot know that!!"

    s aww "Why not?"

    g "Master Pastille said you hate talking to magic users so you absolutely cannot know! Forget!! Forget!!!"

    s proud "Okay, okay... I forgot."

    g aw "You really forgot?"

    s heh "...Yeah. You were made by that rotten witch as an elaborate prank, right?"

    g hey2 "Yes, and not Master Pastille! He had nothing to do with it!"

    s proud "I know. It was that witch, not Pastille. That good-for-nothing wouldn't know the first thing about making a magic golem."

    g dress "Master Pastille is not a good-for-nothing, but other than that, you are exactly right!"

    s "Hmhm... hahahah, oh man...."

    g aw "Syrup is... laughing? Why?"

    s thanks "It's just funny... he made you exactly my type. Well, aside from your weirdo personality."

    g nooo "He did not make me! You said you forgot!!"

    s heh "Alright I forgot! For real this time. But now I'm going to have to thank Butterscotch instead."

    g aw "...You are grateful?"

    s proud "Yeah... I thought I was okay with just having Pastille around, but... making a new friend was kinda fun."

    g ooh "Friend? Do you mean... that at last, we are \"getting along\"?"

    s thanks "I think we have been for a while now."

    g hey2 "Then my task has been complete and you are only telling me JUST NOW?!"

    s "I didn't know it was your task until a bit ago. Sorry."

    g dress "Ooh Master Pastille will be so happy to hear of this...! We must inform him right away!"

    s cool "Wait."

    g ooh "...?"

    s dakara "I have a few questions for you... about what you are. You were only following Pasti--YOUR CREATOR'S orders and acting friendly towards me, right?"

    s aww "Doesn't that mean... it's all kinda fake? After you tell him we've been getting along and he says that's enough, then... is whatever this is just... over?"

    g worry "...Would you like to hear the honest answer, Syrup?"

    s cool "I don't know...."

    g baw "At first, I thought you were a very pushy and selfish person. I worked very hard to be as friendly as I could, but I think that also makes me pushy and selfish, like you."

    g "But there are many times you have been kind to me when it did not serve you to do so. You also worked hard for Master Pastille to make the Ultimate Sweet!"

    g "I was instructed to act as a human, although I am candy. Maybe that means I am not capable of sincere feelings... but you have always treated me well despite that."

    g yayyy2 "I would like to prove to you that I can also defy expectations!"

    s thanks "Gumdrop...."

    g yes "Now, I am going to go wait by Master Pastille's bedside so that I may tell him the moment he wakes up that we have achieved \"getting along\"!"

    s heh "No, don't do that. It's creepy."

    g "Understood! To avoid seeming \"creepy\" I will stand here in the dark until he comes downstairs."

    s "The way you put that sounds creepy too. I guess you can't help it, though, huh?"

    g mad "This is creepy, that is creepy, I just cannot win with you, Syrup! You should go to sleep and not worry about how I pass the time!"

    s proud "Alright, alright. See you in the morning."
    stop music fadeout 1.0
    jump ultimatesweet

label afterwards:
    scene bg nightshop
    show sy crystalball at center
    with fade

    s "So Pastille actually turns out to be a witch...."

    if bp >= 3:
        s hmm "Dammit, what am I supposed to do with this information? Why would he make me a fake friend, why would he hide all his talent and waste his time working here?"

        s cool "Who am I supposed to even talk to about all of this...?"

        s "...I should just... go return this thing."
        scene bg black with dissolve
        jump toffeetalk

    if forgiven:
        s "So I didn't imagine it. He used magic to save me back on Mount Sorbet...."

    s hmm "Why would he hide that from me? And isn't it a waste of talent for him to be working here?"

    s "What are you thinking, Pastille...?"

    scene storybook
    show sb unsleep at left
    with fade
    nvl clear
    "Syrup finally gives in to her exhaustion and goes to bed. But she is unable to fall asleep."

    "She decides to continue on as if nothing had happened, at least until she's able to talk to Pastille about this revelation."

    "It isn't long before morning finally arrives...."
    nvl clear
    jump ultimatesweet

label toffeetalk:
    scene bg nightcottage
    show sy reg at leftc
    show tof sly at rightc
    with fade
    play music witchnyan
    $ save_name = _("Butterscotch's Cottage")
    $ renpy.notify(_("Butterscotch's Cottage"))
    t "What do you know, it's the Candy Alchemist, nya. What are you doing here at this hour?"

    s crystalball "Is Butterscotch awake? I came to give this back."

    t nyan "Master is fast asleep. Were you hoping you could talk to her, nya?"

    s "No, I... I figured she'd be asleep, so...."

    t heh "But you still came all the way here in the middle of the night."

    s "It's not like I'd be able to fall asleep anyway... Welp, here's your crystal ball. I'll be back tomorrow with the Ultimate Sweet."

    t sly "Leaving so soon? I thought we could have a little chat while you're here, nya."

    s reg "Alright, cat. What do you want to talk about, then?"

    t "There's plenty to say. Fur instance, you know Master's secret now. She works pretty hard to keep up appearances, so that's kind of a big deal, nya."

    s cool "Yeah, I guess...."

    s yo "Why do you think people hide things that are such a big part of themselves?"

    t nyan "Master does it because she cares a lot about what other people think of her."

    s aww "Especially when it's the opinion of someone she cares about... right?"

    t hmm "Precisely. She's really sensitive, so when someone doesn't like her, she goes out of her way to prove how great she is. It's annoying, because she's already purrfectly fine to begin with."

    t "The way I see it, if someone doesn't like you, you just have to let them be that way. But, as long as she disagrees, she'll keep overcompensating and hiding behind that spell."

    t nyan "I think what you said might've helped her a lot, though. So thanks, nya."

    s cool "I didn't do much...."

    t sly "Still, if she's more confident now, that means I can relax. I won't have to knock her enemies down a peg to protect her feelings all the time."

    s yo "...How long has she been like this?"

    t nyan "Since before I became her familiar. She's always been putting on a front, but you don't have to look very hard to see that she's a complete wreck."

    t "At first, I followed her because I thought it'd be entertaining to watch someone like that. But somehow I became her guardian instead."

    s proud "Hmhm...."

    t tsun "What, you got something to say about it?"

    s "I was just thinking it's funny that you stopped saying \"nya\" for once."

    t "Meowow, can't I drop the shtick for a serious conversation? This is the last time I open up to you, nya."

    s thanks "Sorry. I do feel a little better after talking to you though, so... thanks, Toffee."

    t nyan "Nyo problem. Now go get some rest. It's really late... nya."
    stop music fadeout 1.0
    scene storybook
    show sb byetoffee at left
    with dissolve
    nvl clear
    "Feeling more at ease after that little chat, Syrup returns home as exhaustion finally hits her."

    "Tomorrow's the day they can all finally taste the Ultimate Sweet...."
    nvl clear

label ultimatesweet:
    scene bg black with dissolve
    play music candy
    scene bg shop
    show sy proud at leftc
    show pas hmhm at rightb
    show gum dress at right
    with dissolve
    $ renpy.notify(_("Atelier Sweets"))

    s "So? How is it?"

    p yum "It's... it's the best thing I've ever tasted! Whoever came up with this recipe wasn't kidding about the ultimate part!!"

    s heh "Mm, I completely agree! I feel sorta bad that Gumdrop doesn't have any taste buds to experience this with."

    g yayyy2 "I am just happy to see the two of you enjoying it!"

    p patient "I'm happy, too. I thought you forgot about your promise to make this for me, Sy... thank you."

    s "Ehh, don't start getting all sappy over nothing. Gumdrop's the one who reminded me."

    g yes2 "Serving Master Pastille is of the utmost importance!"

    p sorry "Shh, don't say things like that... you don't have to be so nice to me."

    s reg "He's right. If we're too soft on him, he'll stop working so hard. Unacceptable."

    if forgotit:
        jump syrupend

    if gp >= 4 and not candyslave:
        s proud "Now that I think of it, I actually have an errand for you. Take a serving of this stuff to Butterscotch, okay? I promised I'd let her have a taste."

        p smile "How generous of you! I'm happy to fulfill a request so nice."
        jump gumdropend

    if bp >= 4:
        s proud "Anyway, I promised Butterscotch I'd give her a taste of this stuff, so I'm heading out now."

        p smile "How generous of you! I'm sure she'll love it."
        stop music fadeout 1.0
        scene bg black with dissolve
        if forgiven:
            jump toffeeend
        elif persistent.butterscotchend:
            jump toffeeend
        else:
            jump butterscotchend

    if pp >= 3:
        p heh "When have I ever NOT worked hard for you? Come on, Sy, give me a little more credit."

        s heh "Fine, I'll give you a break today. Gumdrop, what would've been Pastille's job is now up to you. Could you take a serving of this stuff to Butterscotch for me?"
        if candyslave:
            g worry "Is this request... a very important one?"

            s hmm "Oh, sorry. I forgot it's probably a little uncomfortable for you to go to her house, considering...."

            g baw "...I will go. She helped with our mission, so I am sure she is not a bad person."

            g "We cannot change the past, but I do not wish to spend so much energy worrying about what she might do. Maybe we might also be able to \"get along\"!"

            s oh "That's... mature of you. Thanks, Gumdrop."
        else:
            g "Understood! I will most certainly take care of it!"
        jump pastilleend

label syrupend:
    p "I feel like you're not joking in the slightest when you say that."

    s indifferent "Welp! I just remembered something important I've gotta go do. See ya 'round."
    hide sy with dissolve
    p dang "She's in a hurry... I wonder if that wasn't just a lame excuse to run off, and she actually has someplace to be?"

    g hey2 "Syrup is... a very mysterious person!"
    scene bg black with dissolve
    if not forgotit:
        scene bg shopext
        show sy frick at leftc
        with dissolve

        s "...Ugh, why's it so hard to say \"Hey! I know your secret!\"?"

        s hahano "I've got better things to do than confront him about it anyway... yeah! Who cares!! I'll just keep pretending it never happened. Later, store."
        hide sy with moveoutleft
        scene bg black with dissolve

    $ save_name = _("Choco Library")
    scene bg library
    show choco hello at rightc
    show sy heh at leftc
    with dissolve
    $ renpy.notify(_("Choco Library"))

    s "...So, what do you say? With a luxury treat this good, there's a ton of money to be made, don't you think?"

    d "Most certainly, Candy Alchemist! By the sound of it, you're looking to us as investors for your little shop, eh?"

    s "That's right. Came up with the idea last night. I make the candy, you guys fund and distribute the product, everybody gets richer."

    m "We would be fools to decline, considering this promising sample you've provided us... What say you, brother?"

    d "I concur! Candy Alchemist Syrup, we would be honored to do business with talent of your caliber!"

    scene storybook
    show sb syrupend at left
    with fade
    nvl clear
    "And with that, Syrup very quickly climbed the ladder of success, becoming one of the richest people in the world."

    "With no distracting personal relationships to hold her back, she was able to live a glamorous life of self-indulgence, providing deliciousness across many nations."

    "If money could buy happiness, she had certainly done it. Way to go."
    nvl clear
    "SYRUP END"
    $ persistent.syrupend = True
    nvl clear
    jump credits

label pastilleend:
    show pas smile at rightc
    hide gum
    with fade
    p "Sharing with your rival? That's pretty generous of you."
    stop music fadeout 1.0
    s indifferent "Well, she did show me something important, so it's the least I can do."

    p "...?"
    play music past
    s crystalball "Here. Take a look."

    p wahh "!! Th-that's...!"

    s "So... how come you never told me?"

    p sorry "I couldn't... I know how much you hate magic users. If you knew I was one--"

    s aww "Dude, you're like family. I would never hate you."

    s "I'm honestly more upset with myself, knowing there was an entire side of you that you were too scared to show because of the stuff I've said...."

    p sad "Don't worry too much about it... I'm just sorry I couldn't tell you myself. For you to find out like this...."

    s tch "It's not like I was COMPLETELY blindsided... there were plenty of things to clue me in, I just... sort of ignored them I guess."

    s yo "So... why'd you go through all the trouble of making a golem for me?"

    p worry "Ever since we came to this town, you've been really bitter. You weren't connecting with anyone... except to antagonize them, like with Butterscotch and Toffee."

    s reg "Hey, Butterscotch started it."

    p patient "Still, I wanted you to have a friend you could open up to. So... I decided to make one myself! She didn't turn out quite right, though...."

    p sorry "I'm really sorry that all she wanted was for you to eat her...."

    s heh "Nah... it's part of her charm. Aside from that, though, it's clear you know my tastes very well."

    p heh "Just looking out for you, that's all."

    s thanks "Thanks, Pastille."

    p smile "I should be the one thanking you, after you risked your life to make the Ultimate Sweet for me."

    s heh "It wasn't just for you. Now that I know I can make it, we can start sharing it with everyone in town."

    p "Oh? You're sounding uncharacteristically charitable, Sy."

    s "All the effort it takes only makes it more expensive! The people have to be convinced by the free samples for it to work. And when it does, we'll make a fortune!"

    p heh "So that's your scheme, huh? I should've known."

    s proud "I don't think Butterscotch wants to make the trip with me a second time, so I'll need to find someone who's pretty good with magic to watch my back. Know anyone?"

    p hmhm "Are you hiring me to be your magic bodyguard? I accept!"

    scene storybook
    show sb pasend at left
    with dissolve
    nvl clear
    "And so, Syrup and Pastille teamed up to gather more and more rare ingredients from dangerous places, so that Syrup was able to make all sorts of luxurious specialty candies."
    if renpy.variant("small"):
        nvl clear
    "Gumdrop diligently looked after the store while they went off on their thrilling adventures together. Syrup and Pastille had taught her well."

    "Butterscotch felt a little lonely with her rival away, but she was always happy to see Syrup return each time with sweets even more delicious than the last."
    nvl clear
    "PASTILLE END"
    $ persistent.pastilleend = True
    nvl clear
    jump credits

label gumdropend:
    show gum dress at rightc
    show sy oh
    hide pas
    with fade
    s "So, Gumdrop... What do you want to do now that your uh... \"main objective\" is taken care of?"

    g surprise2 "...Huh? Master Pastille has not given me any other orders."

    s dakara "I'm not talking about any orders. I mean what do you want to do with your life?"

    g worry "Well, I was only created the other day, so I do not know... What do you think I should do, Syrup?"

    s "I can't be the one to decide that, or else it defeats the entire purpose. I just can't imagine you'd want to stay here and spend all your time working."

    g hey2 "Hmm... yes, it would be unfortunate if I did not get to see all of the wonderful things in those books from yesterday...."

    g dress "But most importantly, I would like to continue to strengthen our bond, Syrup! I think Master Pastille would be pleased by that!"

    s thanks "Then... maybe we could go traveling together? You brought it up before, but actually thinking about it now... we definitely should."

    g surprise2 "But we could not possibly leave the store unattended!"

    s proud "Pastille's better at running this place than I could ever be. If I leave instructions for making the candy, I'm sure he'd do just fine on his own."

    s heh "And he could always hire someone in town if he needs help. Even another witch, if he has to. Considering he's been one all along, I've got no right to complain."

    g nooo "No! You are not supposed to know about that, remember? Please forget!!"

    s "Haha, okay, I'm sorry. I won't mention it anymore."

    s thanks "So, what do you say? Wanna go on a journey together?"

    g yayyy2 "Mmm... yes! I would love that!!"

    scene storybook
    show sb gumend at left
    with fade
    nvl clear
    "And so, Syrup dismissed Gumdrop from her job as shop assistant and they began traveling the world together, selling candy along the way."
    if renpy.variant("small"):
        nvl clear
    "Pastille happily kept the store running on his own, and studied Syrup's notes on candy making very closely to ensure there would be no drop in quality while Syrup was away."

    "Butterscotch felt a little lonely with her rival out exploring the world, but at least Toffee was there to keep her company."
    nvl clear
    "GUMDROP END"
    $ persistent.gumdropend = True
    nvl clear
    jump credits

label butterscotchend:
    $ save_name = _("Butterscotch's Cottage")
    play music witchnyan
    scene bg cottageint
    show sy proud at leftc
    show bs chub at rightb
    show tof nyan at right
    with dissolve
    $ renpy.notify(_("Butterscotch's Cottage"))

    s "Hey. I brought some of the Ultimate Sweet like I promised."

    b happychub "Finally, you're here! Gimme gimme gimme!!"

    s heh "...So? Is it great or what?"

    b umai "I-I-IT'S INCREDIBLE!! It's so cold, but it melts in my mouth!! I've never tasted anything so divine, I'll buy every batch you make!!!!"

    t heh "Not bad at all... well done, Candy Alchemist."

    s "I'm just glad it turned out to be worth the effort."

    b "Are you kidding me?! I'd die a thousand times for one bite of this, it's that good!!"

    b chub "B-but anyway... you wanted to talk to me? Does this mean you watched the thing...?"

    s thanks "Yep. I'm still trying to figure out what to say to him... but I wanted to thank you for showing me the truth. You're a good friend."

    b bawchub "O-oh! It's nothing... w-wait, we're friends?"

    s proud "Yeah, why not?"

    t nyan "Meowie-zowie, does this mean we get free candy?"

    s heh "Hah, is that all you want out of me?"

    b shychub "N-no! I just... I've never had a friend before that wasn't my pet."

    s "Toffee was your only friend before now? I guess we're more alike than I thought."

    s cool "Except... my only friend kinda betrayed my trust."

    b chub "Syrup... I'm sorry...."

    t "...So what if he lied about being able to do magic? Master lies to me all the time."

    t sly "The only difference is I know all her secrets... nyaha~"

    b shychub "T-TOFFEE!!!!"

    s proud "Hahah, maybe I'm just getting too worked up over it. It's not like anything he did was out of malice."

    b wehchub "Yeah! He probably just kept it a secret because he didn't know how to tell you! S-since you don't like magic so much...."

    s heh "You know, actually... lately I've started thinking it's not so bad. But my alchemy is still way better!"

    t nyan "That Ultimate Sweet you made was proof enough for me, nya."

    b "So what are you gonna do now? You haven't talked to him yet, have you?"

    s hmm "I will, at some point. He shouldn't keep hiding it because of me."

    s proud "I just thought it was more important to come here and share the Ultimate Sweet with you two first, that's all."

    t tsun "You've changed, nya... What happened up on that meowntain to make you so kind?"

    b awchub "Oh, you know... kind of a lot!"
    show tof myow at tremble2
    t "Wh-what did you do to Master?! Nyaaah!!!"
    scene storybook
    show sb bsend at left
    with dissolve
    nvl clear
    "And so, Syrup taught Butterscotch her alchemical process, and the witch invented her own special candy, which she shamelessly named after herself."

    "Butterscotch candies became immediately popular, and she was able to sell them not just at Atelier Sweets, but in candy stores around the world."
    if renpy.variant("small"):
        nvl clear
    "Syrup began spending a lot of time at Butterscotch's cottage, but Pastille and Gumdrop didn't mind. They were just glad she finally seemed happy."
    nvl clear
    "BUTTERSCOTCH END"
    $ persistent.butterscotchend = True
    nvl clear
    jump credits

label toffeeend:
    $ save_name = _("Marketplace")
    scene bg market
    show sy hmm at leftc
    with dissolve
    $ renpy.notify(_("Marketplace"))

    s "...How am I supposed to face that witch after everything that happened? We agreed to forget about it, but that doesn't promise there won't be any awkwardness...."

    s indifferent "Kinda wish that cat was here to take care of it for me."
    play music witchnyan
    show tof sly at rightc with dissolve
    t "Meowie-zowie, the Candy Alchemist is requesting MY services?"

    s heh "I knew you'd come out if I talked to myself loud enough."

    t nyan "Impressive... So how long were you wandering around saying those lines in places you'd expect me to be, nya?"

    s reg "That's not important. Can you do me this favor?"

    t "Sure thing. But you'll have to do something in return, nya."

    s "I'm already offering the Ultimate Sweet, what more could you want?"

    t help "I want you to take me up Mount Sorbet to thank that dog for saving Master. Going alone isn't an option for obvious reasons... nya."

    s proud "That's it? What a polite little familiar you turned out to be."

    t tsun "Master's important to me, and I want to show my gratitude. Will you do it or not?"

    menu:
        "Of course":
            s heh "Yeah, I'll help you out."

            t nyan "...Really? Thanks, nya. I'll grab my winter coat and we can go right away."

            s um "...."

            t heh "...That time was unintentional. I've become... punstoppable, nya."

            s dakara "I'm already regretting this decision."
        "Sounds like a lot of effort...":
            s dakara "On second thought, I'm just gonna go ahead and take this to Butterscotch in person. You'll have to ask her to take you to Treat's house instead."

            t sly "...Oh, so you're scared of that place now, aren't you? Alright, I understand. I won't push my luck, nya."

            s reg "Believe whatever you want. Now are we going to your house, or what?"

            t nyan "So you want ME to escort YOU somewhere now... but considering what you're delivering, I can't refuse, nya."
            scene bg black with dissolve
            jump butterscotchend
    stop music fadeout 1.0
    scene storybook
    show sb hitreat at left
    with fade
    play music sorbet
    nvl clear
    "However, Toffee easily convinced Syrup to follow through with their deal after promising to remain silent until they reached Treat's house."
    nvl clear
    $ save_name = _("Treat's Cabin")
    scene bg cabin
    show tof hmm at leftb, flip
    show sy reg at left
    show treat at rightc
    with dissolve
    $ renpy.notify(_("Treat's Cabin"))

    tr "...I didn't expect you to return so soon."

    s heh "I wasn't planning on it, to be honest. But Toffee here was too afraid to come alone, so...."

    t "Oh, yes, a cat like me shouldn't be bothered whatsoever coming to a place like this. You sure turned out to be the wrong person to ask for this favor, nya...."

    s proud "I'm just giving you a hard time. Say your thing already."

    tr "...Are you her pet?"

    t tsun "I-I'm the witch's familiar! I just wanted to... thank you for saving Master... but how could you think I belong to Syrup? I'm a little insulted, nya."

    tr "The two of you seem like you get along. My mistake."

    s reg "Let me set the record straight. This cat works for my rival. They're an obnoxious dynamic duo set on sabotaging my business..."

    s proud "...is what I WOULD say, if not for certain recent events. Toffee's not bad, I don't think."

    t "Gee whiskers, such flattering praise. Anyway, now that my business here is finished, it's time to head home. Thanks again, nya."

    tr aw "...? You just got here. I won't let you leave without a warm drink for the road. Wait here."
    show sy hmm at leftc
    show tof hmm at rightc, unflip
    hide treat
    with fade
    t "......"

    s heh "...Are you nervous?"

    t help "She's a wolf! Of course I'm nervous, she could eat me in a second, nya!"

    s "Hmhm... it's funny to see you showing your true emotions."
    show tof myow at tremble2
    t myow "I don't see what part of this is a joke to you, nya!!"

    s proud "Sorry, seeing you like this makes me want to bully you. But don't worry. If she DOES try to eat you, which she won't... I'll stop her."
    show tof tsun at rightc
    t "Oh, nyo, just let it happen. I wouldn't want anyone to assume we're getting along."

    s aww "...Are you that upset she got the wrong impression?"

    t "...."

    s "Hey. Would it really be that bad to be my pet?"

    t help "Absolutely."

    s grr "Ouch. What did I ever do to you?"

    t "Furst off, I'm Master's pet and no one else's, so you didn't have a chance from the start. But even putting that aside, you don't know anything about me."

    s heh "I know that you're a cat who lives with Butterscotch, and that you make puns all the time for attention."

    t sly "For attention? Purrhaps I underestimated you, Candy Alchemist... but answer this."

    menu:
        t "Do you think I'm a boy? Or a girl, nya?"
        "Boy?":
            pass
        "Girl?":
            pass
        "Neither" if persistent.toffeeend:
            t help "Nya?! How did you... who told you? Are you a time traveller?"

            s "Maybe I just pay more attention to you than you give me credit for. Is that so hard to imagine?"

            t tsun "Yes... this is all a little abrupt, nya. I can't tell if you're pulling my tail here, or if you actually want to become my friend...."
            jump toffeeend2

    t nyan "Nyaha, it was a trick question. The correct answer is... neither!"

    s proud "Huh... I just always assumed... well, I guess that's actually more fitting for you anyway."

    s heh "But thanks for telling me. Now you can't say I don't know anything about you."

    t help "Nya?! I shouldn't have given you the answer so easily... you're sneaky, Candy Alchemist."

    t tsun "Now I have one more question for you, nya. You see, I noticed something... you don't seem very close to anyone in pawticular."

    t "But now you're showing an unusual amount of interest in me. Are you just pulling my tail here, or are you actually trying to become my friend?"
label toffeeend2:
    s "Who knows. I just thought maybe having a cat would be nice."

    t sly "I never expected to hear something like that from you."

    s proud "I've started adjusting my attitude recently. How do you feel about the new me?"

    t nyan "I don't like it at all. You're not as predictable now, nya...."
    show sy proud at left
    show tof nyan at leftb, flip
    show treat at rightc
    with fade
    tr "Here. It's milk."

    t "My favorite! How thoughtful, nya, thank you very much."

    tr "Oh. You seem to have calmed down a lot. That's good."

    s "Turns out all they needed was for me to pet them for a while."
    show tof myow at tremble2
    t myow "YOU'RE GIVING HER THE WRONG IDEA, NYA!!"

    scene storybook
    show sb tofend at left
    with fade
    nvl clear
    "And so, Syrup and Toffee started spending a lot of time together, and Toffee began calling themself a part-time pet."

    "Life at Atelier Sweets continued on as normal, except with the addition of a store cat."

    "Butterscotch never quite got over the jealousy of her pet getting stolen away, but other than that, they all lived happily ever after."
    nvl clear
    "TOFFEE END... nya."
    $ persistent.toffeeend = True
    nvl clear

label credits:
    python:
        persistent.endclear = True
        if renpy.variant("pc"):
            mp.candyvn = True
            mp.save()
        _game_menu_screen = None
        quick_menu = False
    show darken
    show cred at right #xalign .75 yalign .5
    with dissolve
    pause
    hide cred with dissolve
    show cred2 at right #xalign .85 yalign .5
    with dissolve
    pause
    stop music fadeout 1.0
    scene black with dissolve
    return
