transform titletransform:
    parallel:
        alpha 0
        linear 2.5 alpha 1.0
    parallel:
        subpixel True
        xanchor 0
        easein 2.0 xanchor -20

transform titledissolve:
    alpha 0
    pause .5
    linear 1.0 alpha 1.0

transform mmtransform:
    alpha 0
    linear 1.0 alpha 1.0

image stardust rise:
    "stardust1"
    subpixel True
    parallel:
        alpha 0
        linear 1.0 alpha 1.0
        pause 19.0
        repeat
    parallel:
        yanchor -500
        linear 20.0 yanchor 500
        repeat
image stardust rise2:
    "stardust3"
    subpixel True
    parallel:
        alpha 0
        linear 2.0 alpha 1.0
        pause 28.0
        repeat
    parallel:
        yanchor 0
        linear 30.0 yanchor 720
        repeat
image stardust rise3:
    contains:
        "stardust3"
        yanchor 0
        linear 30.0 yanchor 720
        repeat
    contains:
        "stardust3"
        yanchor -720
        linear 30.0 yanchor 0
        repeat

image stardust drift:
    contains:
        "stardust2"
        subpixel True
        yanchor 40
        xanchor 1200
        linear 60.0 xanchor 0
        repeat
    contains:
        "stardust2"
        subpixel True
        yanchor 40
        xanchor 0
        linear 60.0 xanchor -1200
        repeat

image stardust drift2:
    contains:
        "stardust4"
        subpixel True
        yanchor 20
        xanchor 0
        linear 40.0 xanchor 1200
        repeat
    contains:
        "stardust4"
        subpixel True
        yanchor 20
        xanchor -1200
        linear 40.0 xanchor 0
        repeat

image stardust drift3:
    contains:
        "stardust stars2"
        subpixel True
        xanchor 0
        linear 80.0 xanchor 1200
        repeat
    contains:
        "stardust stars2"
        subpixel True
        xanchor -1200
        linear 80.0 xanchor 0
        repeat

image mm bg:
    contains:
        "cg wanderingb"
    contains:
        "stardust drift"

image gamemenu bg:
    contains:
        "menu bg1"
    contains:
        "menu bg2"
        alpha 0
        linear 2.0 alpha 1.0
        linear 2.0 alpha 0
        pause 2
        repeat
image stardust stars:
    contains:
        "stardust stars1"
        subpixel True
        xanchor -1280
        linear 40.0 xanchor 0
        repeat
    contains:
        "stardust stars1"
        subpixel True
        xanchor 0 yanchor 0
        linear 40.0 xanchor 1280 yanchor -100
        repeat

image cg stars:
    contains:
        "cg starsb"
    contains:
        "stardust stars"
    contains:
        "stardust stars2"
        alpha 1.0
        easeout 2.0 alpha .4
        linear 2.0 alpha 1.0
        repeat
    contains:
        "cg starsa"
        subpixel True
        xalign .3
        easein 10 xalign .6

image cg crying:
    contains:
        "cg cryingb"
    contains:
        "stardust rise"
    contains:
        "cg cryinga"
    contains:
        "stardust rise2"

image tears:
    parallel:
        "tears1"
        pause .5
        "tears2"
        pause .5
        "tears3"
        pause .5
        "tears4"
        pause .5
        repeat
    parallel:
        alpha 1.0
        easeout 1.5 alpha 0
        easein .5 alpha 1.0
        repeat
image tearsr:
    parallel:
        "tears4"
        xzoom -1.0
        pause .5
        "tears1"
        pause .5
        "tears2"
        pause .5
        "tears3"
        pause .5
        repeat
    parallel:
        alpha 1.0
        easeout 1.5 alpha 0
        easein .5 alpha 1.0
        repeat
image space cry = LiveComposite(
    (840, 720),
    (0, 0), "space cries",
    (400, 200), "tearsr",
    (160, 200), "tears")

image cg relax:
    contains:
        "cg relaxb"
    contains:
        "stardust drift2"
    contains:
        "stardust drift3"
    contains:
        "cg relaxa"

image bg hug:
    contains:
        "bg hugs"
    contains:
        "stardust rise"

image cg wandering:
    contains:
        "cg wanderingb"
    contains:
        "cg wanderinga"
    contains:
        "stardust drift"

image cg together:
    contains:
        "cg togetherb"
    contains:
        "stardust rise"
    contains:
        "cg togethera"

image cg handholds:
    contains:
        "cg handholdsb"
    contains:
        "cg handholdsa"

image cg origin:
    "cg origina"
    pause .2
    "cg originb"
    pause .2
    "cg originc"
    pause .2
    "cg originb"
    pause .2
    repeat
image cg origin2:
    "cg origin2a"
    pause .2
    "cg origin2b"
    pause .2
    "cg origin2c"
    pause .2
    "cg origin2b"
    pause .2
    repeat
image cg origin3:
    "cg origin3a"
    pause .2
    "cg origin3b"
    pause .2
    "cg origin3c"
    pause .2
    "cg origin3b"
    pause .2
    repeat
image origin3:
    "cg origin3d"
    pause .2
    "cg origin3e"
    pause .2
    "cg origin3f"
    pause .2
    "cg origin3e"
    pause .2
    repeat

image cg origin4:
    "cg dance00000"
    pause .15
    "cg dance00001"
    pause .15
    "cg dance00002"
    pause .15
    "cg dance00003"
    pause .15
    "cg dance00004"
    pause .15
    "cg dance00005"
    pause .15
    "cg dance00006"
    pause .15
    "cg dance00007"
    pause .15
    "cg dance00008"
    pause .15
    "cg dance00009"
    pause .15
    "cg dance00010"
    pause .15
    "cg dance00011"
    pause .15
    repeat

image origin5:
    "cg origin5a"
    pause .2
    "cg origin5b"
    pause .2
    "cg origin5c"
    pause .2
    "cg origin5b"
    pause .2
    repeat

image cg origin6:
    "cg dance00111"
    pause .15
    "cg dance00110"
    pause .15
    "cg dance00109"
    pause .15
    "cg dance00108"
    pause .15
    "cg dance00107"
    pause .15
    "cg dance00106"
    pause .15
    "cg dance00105"
    pause .15
    "cg dance00104"
    pause .15
    "cg dance00103"
    pause .15
    "cg dance00102"
    pause .15
    "cg dance00101"
    pause .15
    "cg dance00100"
    pause .15
    repeat

image cg origin6b:
    "cg dance00100"
    pause .15
    "cg dance00101"
    pause .15
    "cg dance00102"
    pause .15
    "cg dance00103"
    pause .15
    "cg dance00104"
    pause .15
    "cg dance00105"
    pause .15
    "cg dance00106"
    pause .15
    "cg dance00107"
    pause .15
    "cg dance00108"
    pause .15
    "cg dance00109"
    pause .15
    "cg dance00110"
    pause .15
    "cg dance00111"
    pause .15
    repeat

image cg dance:
    "cg dance00110"
    pause .5
    "cg dance00109"
    pause .4
    "cg dance00108"
    pause .3
    "cg dance00107"
    pause .2
    "cg dance00106"
    pause .15
    "cg dance00105"
    pause .15
    "cg dance00104"
    pause .15
    "cg dance00103"
    pause .15
    "cg dance00102"
    pause .15
    "cg dance00101"
    pause .15
    "cg dance00100"
    pause .15
    block:
        block:
            "cg dance00111"
            pause .15
            "cg dance00110"
            pause .15
            "cg dance00109"
            pause .15
            "cg dance00108"
            pause .15
            "cg dance00107"
            pause .15
            "cg dance00106"
            pause .15
            "cg dance00105"
            pause .15
            "cg dance00104"
            pause .15
            "cg dance00103"
            pause .15
            "cg dance00102"
            pause .15
            "cg dance00101"
            pause .15
            "cg dance00100"
            pause .15
            repeat 2
        "cg dance00111"
        pause .2
        "cg dance00110"
        pause .3
        "cg dance00109"
        pause .4
        "cg dance00108"
        pause .5
        "cg dance00109"
        pause .4
        "cg dance00110"
        pause .3
        "cg dance00111"
        pause .2
        block:
            "cg dance00100"
            pause .15
            "cg dance00101"
            pause .15
            "cg dance00102"
            pause .15
            "cg dance00103"
            pause .15
            "cg dance00104"
            pause .15
            "cg dance00105"
            pause .15
            "cg dance00106"
            pause .15
            "cg dance00107"
            pause .15
            "cg dance00108"
            pause .15
            "cg dance00109"
            pause .15
            "cg dance00110"
            pause .15
            "cg dance00111"
            pause .15
            repeat 2

        "cg dance00100"
        pause .2
        "cg dance00101"
        pause .3
        "cg dance00102"
        pause .4
        "cg dance00103"
        pause .5
        "cg dance00102"
        pause .4
        "cg dance00101"
        pause .3
        "cg dance00100"
        pause .2
        repeat

image cg origin7:
    contains:
        "cg origin6b"
        xanchor -30 yanchor 160
    contains:
        "cg origin6b"
        xanchor -480 yanchor 160
    contains:
        "cg origin6b"
        xanchor -930 yanchor 160
    contains:
        "cg origin6b"
        xanchor 30 yanchor -190
    contains:
        "cg origin6b"
        xanchor -420 yanchor -190
    contains:
        "cg origin6b"
        xanchor -870 yanchor -190
    contains:
        "cg origin6b"
        xanchor 90 yanchor -540
    contains:
        "cg origin6b"
        xanchor -360 yanchor -540
    contains:
        "cg origin6b"
        xanchor -810 yanchor -540

image origin7:
    xanchor 500
    contains:
        "cg origin7a"
        pause .2
        "cg origin7b"
        pause .2
        "cg origin7c"
        pause .2
        "cg origin7b"
        pause .2
        repeat

image cg nilkiss:
    contains:
        "cg nilkissb"
        alpha 0
        pause 4
        linear 4.0 alpha 1.0
    contains:
        "cg nilkissa"


image clear bg:
    contains:
        "cg trueendb"
    contains:
        "stardust rise3"

image cg trueend:
    contains:
        "clear bg"
    contains:
        "cg trueenda"

image white = Solid("#FFF")
