#this screen lets you select your language before the game starts
define langlist = [None, "kr", "chinese", "japanese", "fr", "por", "es", "de", "pl", "vi"]

screen langset():
    modal True
    add "storybook"
    default lang = 0

    frame:
        style_group "langset"
        vbox:
            xalign .5
            label "Language"
            spacing 20
            hbox:
                spacing 20
                vbox:
                    textbutton "{font=tl/None/NomnomNami2.ttf}{size=36}English{/size}{/font}" action SetScreenVariable("lang", 0)
                    # textbutton "{font=tl/dys/OpenDyslexic-Regular.otf}{size=24}English (Dyslexic){/size}{/font}" action [Language("dys"), Return()]
                    textbutton "{font=tl/kr/dovemayo_bold.otf}{size=36}한국어{/size}{/font}" action SetScreenVariable("lang", 1)
                    textbutton "{font=tl/chinese/ZCOOLKuaiLe-Regular.ttf}{size=36}汉语{/size}{/font}" action SetScreenVariable("lang", 2) yoffset 4
                    textbutton "{font=tl/japanese/azuki.ttf}{size=36}日本語{/size}{/font}" action SetScreenVariable("lang", 3) yoffset 8
                    textbutton "{font=tl/vi/PatrickHand-Regular.ttf}{size=36}Tiếng Việt{/size}{/font}" action SetScreenVariable("lang", 9)
                vbox:
                    spacing 6
                    textbutton "{font=tl/None/NomnomNami2.ttf}{size=36}Français{/size}{/font}" action SetScreenVariable("lang", 4)
                    textbutton "{font=tl/None/NomnomNami2.ttf}{size=36}Português{/size}{/font}" action SetScreenVariable("lang", 5)
                    textbutton "{font=tl/None/NomnomNami2.ttf}{size=36}Español{/size}{/font}" action SetScreenVariable("lang", 6)
                    textbutton "{font=tl/None/NomnomNami2.ttf}{size=36}Deutsche{/size}{/font}" action SetScreenVariable("lang", 7)
                    textbutton "{font=tl/None/NomnomNami2.ttf}{size=36}Polski{/size}{/font}" action SetScreenVariable("lang", 8)
                    textbutton "{font=tl/thai/WR Tish Kid.ttf}{size=40}ภาษาไทย{/size}{/font}" action SetScreenVariable("lang", 8)

            textbutton "OK" xalign .5 action [ Language(langlist[lang]), Return() ] keysym "game_menu" style "language_confirm_button"

image okbutton_hover:
    "gui/history.png"
    alpha .6
init -2:
    style language_confirm_button:
        idle_background Frame("gui/history.png",12,12)
        hover_background Frame("okbutton_hover",12,12)
        padding (80,10,80,6)

    style language_confirm_button_text:
        font "tl/None/NomnomNami2.ttf"
        size 40
        bold True
        selected_idle_color "#fff"

    style langset_frame:
        ypadding 50
        xsize 700
        xalign .5
        yalign .5
        background Frame("gui/confirm_frame.png",140,60)
    style langset_button is radio_button:
        size_group "langset"
    style langset_button_text is radio_button_text

    style langset_label:
        xalign .5
    style langset_label_text is pref_label_text
